(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    246673,       6992]
NotebookOptionsPosition[    240090,       6807]
NotebookOutlinePosition[    240444,       6823]
CellTagsIndexPosition[    240401,       6820]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"ScalarPP", "=", 
   RowBox[{
    FractionBox[
     SuperscriptBox[
      RowBox[{"p", "[", "2", "]"}], "7"], "5040"], "-", 
    RowBox[{
     FractionBox["1", "240"], " ", 
     SuperscriptBox[
      RowBox[{"p", "[", "2", "]"}], "5"], " ", 
     RowBox[{"p", "[", "4", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "48"], " ", 
     SuperscriptBox[
      RowBox[{"p", "[", "2", "]"}], "3"], " ", 
     SuperscriptBox[
      RowBox[{"p", "[", "4", "]"}], "2"]}], "-", 
    RowBox[{
     FractionBox["1", "48"], " ", 
     RowBox[{"p", "[", "2", "]"}], " ", 
     SuperscriptBox[
      RowBox[{"p", "[", "4", "]"}], "3"]}], "+", 
    RowBox[{
     FractionBox["1", "72"], " ", 
     SuperscriptBox[
      RowBox[{"p", "[", "2", "]"}], "4"], " ", 
     RowBox[{"p", "[", "6", "]"}]}], "-", 
    RowBox[{
     FractionBox["1", "12"], " ", 
     SuperscriptBox[
      RowBox[{"p", "[", "2", "]"}], "2"], " ", 
     RowBox[{"p", "[", "4", "]"}], " ", 
     RowBox[{"p", "[", "6", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "24"], " ", 
     SuperscriptBox[
      RowBox[{"p", "[", "4", "]"}], "2"], " ", 
     RowBox[{"p", "[", "6", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "18"], " ", 
     RowBox[{"p", "[", "2", "]"}], " ", 
     SuperscriptBox[
      RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
    RowBox[{
     FractionBox["1", "24"], " ", 
     SuperscriptBox[
      RowBox[{"p", "[", "2", "]"}], "3"], " ", 
     RowBox[{"p", "[", "8", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "8"], " ", 
     RowBox[{"p", "[", "2", "]"}], " ", 
     RowBox[{"p", "[", "4", "]"}], " ", 
     RowBox[{"p", "[", "8", "]"}]}], "-", 
    RowBox[{
     FractionBox["1", "12"], " ", 
     RowBox[{"p", "[", "6", "]"}], " ", 
     RowBox[{"p", "[", "8", "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "10"], " ", 
     SuperscriptBox[
      RowBox[{"p", "[", "2", "]"}], "2"], " ", 
     RowBox[{"p", "[", "10", "]"}]}], "-", 
    RowBox[{
     FractionBox["1", "10"], " ", 
     RowBox[{"p", "[", "4", "]"}], " ", 
     RowBox[{"p", "[", "10", "]"}]}], "-", 
    RowBox[{
     FractionBox["1", "6"], " ", 
     RowBox[{"p", "[", "2", "]"}], " ", 
     RowBox[{"p", "[", "12", "]"}]}], "+", 
    FractionBox[
     RowBox[{"p", "[", "14", "]"}], "7"]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5907653612934504`*^9, 3.590765483281365*^9}, {
   3.59076585378214*^9, 3.590765854873558*^9}, {3.590766141702104*^9, 
   3.5907661506933813`*^9}, 3.592209125967991*^9, 3.595334364629671*^9}],

Cell[BoxData[
 RowBox[{"\"\<This gives the circle product of the Pfaffian P with \
itself\>\"", ";"}]], "Input",
 CellChangeTimes->{{3.595336301363275*^9, 3.5953363432962437`*^9}, 
   3.595337126896557*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Primo", "[", 
   RowBox[{"h_", ",", "k_"}], "]"}], ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"h", "*", "k", "*", 
    RowBox[{"p", "[", 
     RowBox[{"h", "+", "k", "-", "2"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765553299712*^9, 3.59076556230511*^9}}],

Cell[BoxData[
 RowBox[{"\"\<This gives the circle product of two Newton polynomials\>\"", 
  ";"}]], "Input",
 CellChangeTimes->{{3.5953363542576437`*^9, 3.595336377143557*^9}, 
   3.5953372287102222`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Secondo", "[", "h_", "]"}], ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"h", "*", 
    RowBox[{"p", "[", 
     RowBox[{"h", "-", "2"}], "]"}], "*", "P"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765675352625*^9, 3.590765734957664*^9}, {
   3.590767179490716*^9, 3.590767184901868*^9}, 3.5907674268232403`*^9, 
   3.590776173173929*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Secondo", "[", "2", "]"}], "=", 
   RowBox[{"16", "P"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.590776179732003*^9, 3.590776199859123*^9}, {
   3.592209553640388*^9, 3.592209555389495*^9}, 3.5922095886051292`*^9, 
   3.5953342474727383`*^9}],

Cell[BoxData[
 RowBox[{"\"\<This gives the circle product of a Newton polynomials with the \
Pfaffian\>\"", ";"}]], "Input",
 CellChangeTimes->{{3.595336397784478*^9, 3.595336406942628*^9}, 
   3.595337130302266*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LeDer", "[", "x_", "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"D", "[", 
     RowBox[{"x", ",", 
      RowBox[{"p", "[", "i", "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765747952195*^9, 3.5907657988555737`*^9}, {
  3.590765870555779*^9, 3.590765885107132*^9}, {3.590777258272052*^9, 
  3.590777259278225*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LaPDer", "[", "x_", "]"}], ":=", 
  RowBox[{"D", "[", 
   RowBox[{"x", ",", "P"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5953364268045883`*^9, 3.595336451325183*^9}, {
  3.595336505958414*^9, 3.595336556303893*^9}}],

Cell[BoxData[
 RowBox[{"\"\<the previous two lines give the derivatives with respect to the \
p[i] and the Pfaffian\>\"", ";"}]], "Input",
 CellChangeTimes->{{3.595336561598407*^9, 3.595336588306806*^9}, 
   3.5953371337551193`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Invar8", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "105"}], " ", 
     SuperscriptBox[
      RowBox[{"p", "[", "2", "]"}], "2"], " ", 
     RowBox[{"p", "[", "4", "]"}]}], "+", 
    RowBox[{"105", " ", 
     SuperscriptBox[
      RowBox[{"p", "[", "4", "]"}], "2"]}], "+", 
    RowBox[{"168", " ", 
     RowBox[{"p", "[", "2", "]"}], " ", 
     RowBox[{"p", "[", "6", "]"}]}], "-", 
    RowBox[{"180", " ", 
     RowBox[{"p", "[", "8", "]"}]}], "-", 
    RowBox[{"10080", "*", "P"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.590767625535651*^9, 3.590767648105846*^9}, {
   3.5907677772970467`*^9, 3.590767781310767*^9}, {3.5907774965043383`*^9, 
   3.590777500652152*^9}, 3.592206340694713*^9, 3.592209603295463*^9, 
   3.595334392725276*^9}],

Cell[CellGroupData[{

Cell[BoxData["\"\<this is the invariant of degree 8\>\""], "Input",
 CellChangeTimes->{{3.595336603629334*^9, 3.595336615449744*^9}}],

Cell[BoxData["\<\"this is the invariant of degree 8\"\>"], "Output",
 CellChangeTimes->{3.595338807150309*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Invar12", "=", 
   RowBox[{"32", "*", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "103950"}], " ", "P", " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"]}], "+", 
      FractionBox[
       RowBox[{"10395", " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "6"]}], "64"], "+", 
      RowBox[{"41580", " ", "P", " ", 
       RowBox[{"p", "[", "4", "]"}]}], "-", 
      RowBox[{
       FractionBox["51975", "32"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "4"], " ", 
       RowBox[{"p", "[", "4", "]"}]}], "+", 
      RowBox[{
       FractionBox["51975", "16"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"]}], "-", 
      FractionBox[
       RowBox[{"5775", " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "3"]}], "8"], "+", 
      RowBox[{"3465", " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "6", "]"}]}], "-", 
      RowBox[{"6930", " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}]}], "+", 
      RowBox[{"2772", " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
      RowBox[{
       FractionBox["25245", "4"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "8", "]"}]}], "+", 
      RowBox[{
       FractionBox["10395", "2"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}]}], "+", 
      RowBox[{"8316", " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "-", 
      RowBox[{"7560", " ", 
       RowBox[{"p", "[", "12", "]"}]}]}], ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.590768194586875*^9, 3.590768236137671*^9}, {
   3.590768287023188*^9, 3.59076830832061*^9}, {3.592209082576882*^9, 
   3.592209085215437*^9}, {3.592220891278819*^9, 3.592220914926589*^9}, 
   3.595334421248776*^9}],

Cell[BoxData[
 RowBox[{"\"\<this is the invariant of degree 12\>\"", ";"}]], "Input",
 CellChangeTimes->{{3.595336638410795*^9, 3.5953366386653013`*^9}, 
   3.595337140534643*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"H", "=", "Invar8"}], ";"}]], "Input",
 CellChangeTimes->{{3.590766616300071*^9, 3.590766621404344*^9}, 
   3.590767452686221*^9, {3.590767535076043*^9, 3.590767539834547*^9}, 
   3.590767670426847*^9, {3.590776870134972*^9, 3.590776871325137*^9}, 
   3.590776984733614*^9, {3.5907771761378937`*^9, 3.5907771790789423`*^9}, 
   3.590777507235259*^9, 3.592209616397696*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"K", "=", "Invar8"}], ";"}]], "Input",
 CellChangeTimes->{{3.590766626903125*^9, 3.590766631132145*^9}, {
   3.590766870953289*^9, 3.590766881583393*^9}, {3.590767545762616*^9, 
   3.590767548402399*^9}, 3.5907676738347893`*^9, {3.590776875397238*^9, 
   3.590776878476746*^9}, 3.5907769881176443`*^9, {3.590777187470949*^9, 
   3.5907771945826187`*^9}, {3.5907774777215557`*^9, 3.590777477887843*^9}, 
   3.590777510459002*^9, 3.59077850594934*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"JA", "[", 
   RowBox[{"H", ",", "K"}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Expand", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"LeDer", "[", "H", "]"}], "[", 
       RowBox[{"[", "i", "]"}], "]"}], "*", 
      RowBox[{
       RowBox[{"LeDer", "[", "K", "]"}], "[", 
       RowBox[{"[", "j", "]"}], "]"}], "*", 
      RowBox[{"Primo", "[", 
       RowBox[{"i", ",", "j"}], "]"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5907774508190317`*^9, 3.5907774563731203`*^9}, {
  3.592209939567758*^9, 3.592209957047373*^9}}],

Cell[BoxData[
 RowBox[{"JB", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "H", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{"LaPDer", "[", "K", "]"}], "*", 
     RowBox[{"Secondo", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765966492208*^9, 3.590766054440311*^9}, {
   3.590766434504858*^9, 3.590766436184857*^9}, {3.5907664818241158`*^9, 
   3.5907664824879217`*^9}, {3.590766527351295*^9, 3.5907665400233107`*^9}, 
   3.590767134723637*^9, {3.590767239945505*^9, 3.59076724356922*^9}, {
   3.590767333519759*^9, 3.5907673458408823`*^9}, {3.590777368973888*^9, 
   3.590777369372137*^9}, {3.5907774372124147`*^9, 3.590777461137479*^9}}],

Cell[BoxData[
 RowBox[{"JD", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "K", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{"LaPDer", "[", "H", "]"}], "*", 
     RowBox[{"Secondo", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590766390827092*^9, 3.590766401161428*^9}, {
   3.5907664434406633`*^9, 3.590766444896904*^9}, {3.590766488663829*^9, 
   3.590766489368157*^9}, 3.5907671217892427`*^9, {3.5907672474494333`*^9, 
   3.590767252217124*^9}, {3.590767287720717*^9, 3.590767288824418*^9}, 
   3.590767351807333*^9, {3.590777380707011*^9, 3.590777381042528*^9}, {
   3.5907774399387913`*^9, 3.590777464377602*^9}}],

Cell[BoxData[
 RowBox[{"JC", ":=", 
  RowBox[{
   RowBox[{"LaPDer", "[", "H", "]"}], "*", 
   RowBox[{"LaPDer", "[", "K", "]"}], "*", "ScalarPP"}]}]], "Input",
 CellChangeTimes->{{3.5907660682892523`*^9, 3.5907660715986557`*^9}, {
   3.590766104631604*^9, 3.590766126598118*^9}, {3.590766163223195*^9, 
   3.590766167214859*^9}, {3.590766708949109*^9, 3.590766711618949*^9}, {
   3.590766858289102*^9, 3.5907668612324657`*^9}, 3.590767356095051*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"FirstSum", ":=", 
   RowBox[{"Expand", "[", 
    RowBox[{"Expand", "[", 
     RowBox[{"Apply", "[", 
      RowBox[{"Plus", ",", 
       RowBox[{"Apply", "[", 
        RowBox[{"Plus", ",", " ", 
         RowBox[{"JA", "[", 
          RowBox[{"H", ",", "K"}], "]"}]}], "]"}]}], "]"}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.590766187903791*^9, 3.5907661968121977`*^9}, {
  3.590766235551263*^9, 3.590766239478039*^9}}],

Cell[BoxData[
 RowBox[{"SecondSum", ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "JB"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590766252044243*^9, 3.5907662983013363`*^9}, {
   3.590766346748391*^9, 3.590766362377737*^9}, {3.59076654645428*^9, 
   3.590766547046153*^9}, {3.5907668065791407`*^9, 3.5907668296521387`*^9}, 
   3.590767141483086*^9, {3.590767261879822*^9, 3.590767265176323*^9}, 
   3.590767362438655*^9}],

Cell[BoxData[
 RowBox[{"ThirdSum", ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "JD"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5907664119207897`*^9, 3.590766419560013*^9}, {
   3.590766561513371*^9, 3.590766566151524*^9}, 3.590767366966803*^9}],

Cell[BoxData[
 RowBox[{"\"\<the previous 6 lines compute the circle product of H and K. \
They are repeated for all needd choices of H and K\>\"", ";"}]], "Input",
 CellChangeTimes->{{3.595336668605701*^9, 3.595336776094795*^9}, 
   3.595337148414773*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Invar14", "=", 
   RowBox[{"Expand", "[", 
    RowBox[{"(", 
     RowBox[{"FirstSum", "+", "SecondSum", "+", "ThirdSum", "+", "JC"}], 
     ")"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.590766573279228*^9, 3.5907666060930233`*^9}, {
   3.590766761955312*^9, 3.590766762834004*^9}, {3.5907674820137568`*^9, 
   3.5907674828292847`*^9}, {3.590768430530053*^9, 3.590768433353407*^9}, 
   3.5907782617612762`*^9, 3.592210000661296*^9, {3.592221918558221*^9, 
   3.592221931445314*^9}, 3.592249169031294*^9, 3.59533440510723*^9}],

Cell[BoxData[
 RowBox[{"\"\<this is the invariant of degree 12\>\"", ";"}]], "Input",
 CellChangeTimes->{
  3.5953367171630077`*^9, {3.595336788425061*^9, 3.5953368037673903`*^9}, 
   3.595337153598349*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"H", "=", "Invar8"}], ";"}]], "Input",
 CellChangeTimes->{{3.590766616300071*^9, 3.590766621404344*^9}, 
   3.590767452686221*^9, {3.590767535076043*^9, 3.590767539834547*^9}, 
   3.590767670426847*^9, {3.590768313195846*^9, 3.590768313603263*^9}, 
   3.5907683604584913`*^9, 3.590778512715671*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"K", "=", "Invar12"}], ";"}]], "Input",
 CellChangeTimes->{{3.590766626903125*^9, 3.590766631132145*^9}, {
   3.590766870953289*^9, 3.590766881583393*^9}, {3.590767545762616*^9, 
   3.590767548402399*^9}, 3.5907676738347893`*^9, {3.590768317027623*^9, 
   3.590768317427267*^9}, 3.5922090976463423`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"JA", "[", 
   RowBox[{"H", ",", "K"}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "H", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{
      RowBox[{"LeDer", "[", "K", "]"}], "[", 
      RowBox[{"[", "j", "]"}], "]"}], "*", 
     RowBox[{"Primo", "[", 
      RowBox[{"i", ",", "j"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590777597682374*^9, 3.590777602623309*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LaPDer", "[", "x_", "]"}], ":=", 
  RowBox[{"D", "[", 
   RowBox[{"x", ",", "P"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765934243671*^9, 3.5907659820567913`*^9}}],

Cell[BoxData[
 RowBox[{"JB", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "H", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{"LaPDer", "[", "K", "]"}], "*", 
     RowBox[{"Secondo", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765966492208*^9, 3.590766054440311*^9}, {
   3.590766434504858*^9, 3.590766436184857*^9}, {3.5907664818241158`*^9, 
   3.5907664824879217`*^9}, {3.590766527351295*^9, 3.5907665400233107`*^9}, 
   3.590767134723637*^9, {3.590767239945505*^9, 3.59076724356922*^9}, {
   3.590767333519759*^9, 3.5907673458408823`*^9}, {3.590777620806939*^9, 
   3.590777621486668*^9}}],

Cell[BoxData[
 RowBox[{"JD", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "K", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{"LaPDer", "[", "H", "]"}], "*", 
     RowBox[{"Secondo", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590766390827092*^9, 3.590766401161428*^9}, {
   3.5907664434406633`*^9, 3.590766444896904*^9}, {3.590766488663829*^9, 
   3.590766489368157*^9}, 3.5907671217892427`*^9, {3.5907672474494333`*^9, 
   3.590767252217124*^9}, {3.590767287720717*^9, 3.590767288824418*^9}, 
   3.590767351807333*^9, {3.5907776250867968`*^9, 3.5907776258005943`*^9}}],

Cell[BoxData[
 RowBox[{"JC", ":=", 
  RowBox[{
   RowBox[{"LaPDer", "[", "H", "]"}], "*", 
   RowBox[{"LaPDer", "[", "K", "]"}], "*", "ScalarPP"}]}]], "Input",
 CellChangeTimes->{{3.5907660682892523`*^9, 3.5907660715986557`*^9}, {
   3.590766104631604*^9, 3.590766126598118*^9}, {3.590766163223195*^9, 
   3.590766167214859*^9}, {3.590766708949109*^9, 3.590766711618949*^9}, {
   3.590766858289102*^9, 3.5907668612324657`*^9}, 3.590767356095051*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"FirstSum", ":=", 
   RowBox[{"Expand", "[", 
    RowBox[{"Expand", "[", 
     RowBox[{"Apply", "[", 
      RowBox[{"Plus", ",", 
       RowBox[{"Apply", "[", 
        RowBox[{"Plus", ",", " ", 
         RowBox[{"JA", "[", 
          RowBox[{"H", ",", "K"}], "]"}]}], "]"}]}], "]"}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.590766187903791*^9, 3.5907661968121977`*^9}, {
  3.590766235551263*^9, 3.590766239478039*^9}}],

Cell[BoxData[
 RowBox[{"SecondSum", ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "JB"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590766252044243*^9, 3.5907662983013363`*^9}, {
   3.590766346748391*^9, 3.590766362377737*^9}, {3.59076654645428*^9, 
   3.590766547046153*^9}, {3.5907668065791407`*^9, 3.5907668296521387`*^9}, 
   3.590767141483086*^9, {3.590767261879822*^9, 3.590767265176323*^9}, 
   3.590767362438655*^9}],

Cell[BoxData[
 RowBox[{"ThirdSum", ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "JD"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5907664119207897`*^9, 3.590766419560013*^9}, {
   3.590766561513371*^9, 3.590766566151524*^9}, 3.590767366966803*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Invar18", "=", 
   RowBox[{"Expand", "[", 
    RowBox[{"(", 
     RowBox[{"FirstSum", "+", "SecondSum", "+", "ThirdSum", "+", "JC"}], 
     ")"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.590768348444458*^9, 3.590768350266885*^9}, {
   3.5907684196974993`*^9, 3.5907684204734898`*^9}, 3.590778251929317*^9, 
   3.5922102543137913`*^9, {3.592221531421309*^9, 3.592221538085054*^9}, 
   3.592249161595395*^9, 3.595334427403015*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Expand", "[", "Invar18", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.59077800193897*^9, 3.59077802428526*^9}, 
   3.5907785890661497`*^9, {3.5922215559406147`*^9, 3.592221568627914*^9}}],

Cell[BoxData[
 RowBox[{"\"\<this is the invariant of degree 18\>\"", ";"}]], "Input",
 CellChangeTimes->{3.59533681790305*^9, 3.5953371584464006`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"H", "=", "Invar14"}], ";"}]], "Input",
 CellChangeTimes->{{3.590766616300071*^9, 3.590766621404344*^9}, 
   3.590767452686221*^9, {3.590767535076043*^9, 3.590767539834547*^9}, 
   3.590767670426847*^9, {3.590768313195846*^9, 3.590768313603263*^9}, 
   3.5907683604584913`*^9, {3.590768517456848*^9, 3.590768518030921*^9}, 
   3.590778214284315*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"K", "=", "Invar12"}], ";"}]], "Input",
 CellChangeTimes->{{3.590766626903125*^9, 3.590766631132145*^9}, {
   3.590766870953289*^9, 3.590766881583393*^9}, {3.590767545762616*^9, 
   3.590767548402399*^9}, 3.5907676738347893`*^9, {3.590768317027623*^9, 
   3.590768317427267*^9}, 3.5907782184655457`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"JA", "[", 
   RowBox[{"H", ",", "K"}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "H", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{
      RowBox[{"LeDer", "[", "K", "]"}], "[", 
      RowBox[{"[", "j", "]"}], "]"}], "*", 
     RowBox[{"Primo", "[", 
      RowBox[{"i", ",", "j"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5907776473586187`*^9, 3.590777651894258*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LaPDer", "[", "x_", "]"}], ":=", 
  RowBox[{"D", "[", 
   RowBox[{"x", ",", "P"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765934243671*^9, 3.5907659820567913`*^9}}],

Cell[BoxData[
 RowBox[{"JB", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "H", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{"LaPDer", "[", "K", "]"}], "*", 
     RowBox[{"Secondo", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765966492208*^9, 3.590766054440311*^9}, {
   3.590766434504858*^9, 3.590766436184857*^9}, {3.5907664818241158`*^9, 
   3.5907664824879217`*^9}, {3.590766527351295*^9, 3.5907665400233107`*^9}, 
   3.590767134723637*^9, {3.590767239945505*^9, 3.59076724356922*^9}, {
   3.590767333519759*^9, 3.5907673458408823`*^9}, {3.590777655734147*^9, 
   3.590777656357991*^9}}],

Cell[BoxData[
 RowBox[{"JD", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "K", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{"LaPDer", "[", "H", "]"}], "*", 
     RowBox[{"Secondo", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590766390827092*^9, 3.590766401161428*^9}, {
   3.5907664434406633`*^9, 3.590766444896904*^9}, {3.590766488663829*^9, 
   3.590766489368157*^9}, 3.5907671217892427`*^9, {3.5907672474494333`*^9, 
   3.590767252217124*^9}, {3.590767287720717*^9, 3.590767288824418*^9}, 
   3.590767351807333*^9, {3.590777659670024*^9, 3.590777660173894*^9}}],

Cell[BoxData[
 RowBox[{"JC", ":=", 
  RowBox[{
   RowBox[{"LaPDer", "[", "H", "]"}], "*", 
   RowBox[{"LaPDer", "[", "K", "]"}], "*", "ScalarPP"}]}]], "Input",
 CellChangeTimes->{{3.5907660682892523`*^9, 3.5907660715986557`*^9}, {
   3.590766104631604*^9, 3.590766126598118*^9}, {3.590766163223195*^9, 
   3.590766167214859*^9}, {3.590766708949109*^9, 3.590766711618949*^9}, {
   3.590766858289102*^9, 3.5907668612324657`*^9}, 3.590767356095051*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"FirstSum", ":=", 
   RowBox[{"Expand", "[", 
    RowBox[{"Expand", "[", 
     RowBox[{"Apply", "[", 
      RowBox[{"Plus", ",", 
       RowBox[{"Apply", "[", 
        RowBox[{"Plus", ",", " ", 
         RowBox[{"JA", "[", 
          RowBox[{"H", ",", "K"}], "]"}]}], "]"}]}], "]"}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.590766187903791*^9, 3.5907661968121977`*^9}, {
  3.590766235551263*^9, 3.590766239478039*^9}}],

Cell[BoxData[
 RowBox[{"SecondSum", ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "JB"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590766252044243*^9, 3.5907662983013363`*^9}, {
   3.590766346748391*^9, 3.590766362377737*^9}, {3.59076654645428*^9, 
   3.590766547046153*^9}, {3.5907668065791407`*^9, 3.5907668296521387`*^9}, 
   3.590767141483086*^9, {3.590767261879822*^9, 3.590767265176323*^9}, 
   3.590767362438655*^9}],

Cell[BoxData[
 RowBox[{"ThirdSum", ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "JD"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5907664119207897`*^9, 3.590766419560013*^9}, {
   3.590766561513371*^9, 3.590766566151524*^9}, 3.590767366966803*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Invar24", "=", 
   RowBox[{"Expand", "[", 
    RowBox[{"(", 
     RowBox[{"FirstSum", "+", "SecondSum", "+", "ThirdSum", "+", "JC"}], 
     ")"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.590768348444458*^9, 3.590768350266885*^9}, {
   3.5907684196974993`*^9, 3.5907684204734898`*^9}, {3.590768524199766*^9, 
   3.5907685246551943`*^9}, 3.590778245513419*^9, {3.592221820591378*^9, 
   3.5922218275112133`*^9}, 3.592221903615932*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Expand", "[", "Invar24", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.590778039371859*^9, 3.5907780460364017`*^9}, 
   3.59077823003334*^9}],

Cell[BoxData[
 RowBox[{"\"\<this is the invariant of degree 24\>\"", ";"}]], "Input",
 CellChangeTimes->{{3.59533683914262*^9, 3.595336842604937*^9}, 
   3.595337162574587*^9},
 FontWeight->"Plain"],

Cell[BoxData[
 RowBox[{
  RowBox[{"H", "=", "Invar8"}], ";"}]], "Input",
 CellChangeTimes->{{3.590766616300071*^9, 3.590766621404344*^9}, 
   3.590767452686221*^9, {3.590767535076043*^9, 3.590767539834547*^9}, 
   3.590767670426847*^9, {3.590768313195846*^9, 3.590768313603263*^9}, 
   3.5907683604584913`*^9, 3.590778282023848*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"K", "=", "Invar14"}], ";"}]], "Input",
 CellChangeTimes->{{3.590766626903125*^9, 3.590766631132145*^9}, {
   3.590766870953289*^9, 3.590766881583393*^9}, {3.590767545762616*^9, 
   3.590767548402399*^9}, 3.5907676738347893`*^9, {3.590768317027623*^9, 
   3.590768317427267*^9}, {3.590768558752336*^9, 3.590768559182271*^9}, 
   3.5907782859198933`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"JA", "[", 
   RowBox[{"H", ",", "K"}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "H", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{
      RowBox[{"LeDer", "[", "K", "]"}], "[", 
      RowBox[{"[", "j", "]"}], "]"}], "*", 
     RowBox[{"Primo", "[", 
      RowBox[{"i", ",", "j"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590777676358171*^9, 3.590777681069886*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LaPDer", "[", "x_", "]"}], ":=", 
  RowBox[{"D", "[", 
   RowBox[{"x", ",", "P"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765934243671*^9, 3.5907659820567913`*^9}}],

Cell[BoxData[
 RowBox[{"JB", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "H", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{"LaPDer", "[", "K", "]"}], "*", 
     RowBox[{"Secondo", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765966492208*^9, 3.590766054440311*^9}, {
   3.590766434504858*^9, 3.590766436184857*^9}, {3.5907664818241158`*^9, 
   3.5907664824879217`*^9}, {3.590766527351295*^9, 3.5907665400233107`*^9}, 
   3.590767134723637*^9, {3.590767239945505*^9, 3.59076724356922*^9}, {
   3.590767333519759*^9, 3.5907673458408823`*^9}, {3.590777667477798*^9, 
   3.5907776680374107`*^9}}],

Cell[BoxData[
 RowBox[{"JD", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "K", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{"LaPDer", "[", "H", "]"}], "*", 
     RowBox[{"Secondo", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590766390827092*^9, 3.590766401161428*^9}, {
   3.5907664434406633`*^9, 3.590766444896904*^9}, {3.590766488663829*^9, 
   3.590766489368157*^9}, 3.5907671217892427`*^9, {3.5907672474494333`*^9, 
   3.590767252217124*^9}, {3.590767287720717*^9, 3.590767288824418*^9}, 
   3.590767351807333*^9, {3.590777672717703*^9, 3.590777673285605*^9}}],

Cell[BoxData[
 RowBox[{"JC", ":=", 
  RowBox[{
   RowBox[{"LaPDer", "[", "H", "]"}], "*", 
   RowBox[{"LaPDer", "[", "K", "]"}], "*", "ScalarPP"}]}]], "Input",
 CellChangeTimes->{{3.5907660682892523`*^9, 3.5907660715986557`*^9}, {
   3.590766104631604*^9, 3.590766126598118*^9}, {3.590766163223195*^9, 
   3.590766167214859*^9}, {3.590766708949109*^9, 3.590766711618949*^9}, {
   3.590766858289102*^9, 3.5907668612324657`*^9}, 3.590767356095051*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"FirstSum", ":=", 
   RowBox[{"Expand", "[", 
    RowBox[{"Expand", "[", 
     RowBox[{"Apply", "[", 
      RowBox[{"Plus", ",", 
       RowBox[{"Apply", "[", 
        RowBox[{"Plus", ",", " ", 
         RowBox[{"JA", "[", 
          RowBox[{"H", ",", "K"}], "]"}]}], "]"}]}], "]"}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.590766187903791*^9, 3.5907661968121977`*^9}, {
  3.590766235551263*^9, 3.590766239478039*^9}}],

Cell[BoxData[
 RowBox[{"SecondSum", ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "JB"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590766252044243*^9, 3.5907662983013363`*^9}, {
   3.590766346748391*^9, 3.590766362377737*^9}, {3.59076654645428*^9, 
   3.590766547046153*^9}, {3.5907668065791407`*^9, 3.5907668296521387`*^9}, 
   3.590767141483086*^9, {3.590767261879822*^9, 3.590767265176323*^9}, 
   3.590767362438655*^9}],

Cell[BoxData[
 RowBox[{"ThirdSum", ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "JD"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5907664119207897`*^9, 3.590766419560013*^9}, {
   3.590766561513371*^9, 3.590766566151524*^9}, 3.590767366966803*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Invar20", "=", 
   RowBox[{"Expand", "[", 
    RowBox[{"(", 
     RowBox[{"FirstSum", "+", "SecondSum", "+", "ThirdSum", "+", "JC"}], 
     ")"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.590768348444458*^9, 3.590768350266885*^9}, {
   3.5907684196974993`*^9, 3.5907684204734898`*^9}, {3.59076856414334*^9, 
   3.59076856483864*^9}, 3.59077829496841*^9, {3.592221288946239*^9, 
   3.592221300969542*^9}, 3.592249181231237*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Expand", "[", "Invar20", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.5907780715402737`*^9, 3.590778094483901*^9}, 
   3.590778582879574*^9}],

Cell[BoxData[
 RowBox[{"\"\<this is the invariant of degree 20\>\"", ";"}]], "Input",
 CellChangeTimes->{{3.595336862006352*^9, 3.595336863388495*^9}, 
   3.595337167214164*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"H", "=", "Invar8"}], ";"}]], "Input",
 CellChangeTimes->{{3.590766616300071*^9, 3.590766621404344*^9}, 
   3.590767452686221*^9, {3.590767535076043*^9, 3.590767539834547*^9}, 
   3.590767670426847*^9, {3.590768313195846*^9, 3.590768313603263*^9}, 
   3.5907683604584913`*^9, 3.5907785759861526`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"K", "=", "Invar18"}], ";"}]], "Input",
 CellChangeTimes->{{3.590766626903125*^9, 3.590766631132145*^9}, {
   3.590766870953289*^9, 3.590766881583393*^9}, {3.590767545762616*^9, 
   3.590767548402399*^9}, 3.5907676738347893`*^9, {3.590768317027623*^9, 
   3.590768317427267*^9}, {3.590768575759968*^9, 3.590768576493456*^9}, 
   3.590778572251792*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"JA", "[", 
   RowBox[{"H", ",", "K"}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "H", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{
      RowBox[{"LeDer", "[", "K", "]"}], "[", 
      RowBox[{"[", "j", "]"}], "]"}], "*", 
     RowBox[{"Primo", "[", 
      RowBox[{"i", ",", "j"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5907776936776876`*^9, 3.590777697213352*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LaPDer", "[", "x_", "]"}], ":=", 
  RowBox[{"D", "[", 
   RowBox[{"x", ",", "P"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765934243671*^9, 3.5907659820567913`*^9}}],

Cell[BoxData[
 RowBox[{"JB", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "H", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{"LaPDer", "[", "K", "]"}], "*", 
     RowBox[{"Secondo", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765966492208*^9, 3.590766054440311*^9}, {
   3.590766434504858*^9, 3.590766436184857*^9}, {3.5907664818241158`*^9, 
   3.5907664824879217`*^9}, {3.590766527351295*^9, 3.5907665400233107`*^9}, 
   3.590767134723637*^9, {3.590767239945505*^9, 3.59076724356922*^9}, {
   3.590767333519759*^9, 3.5907673458408823`*^9}, {3.590777702413053*^9, 
   3.590777705988854*^9}}],

Cell[BoxData[
 RowBox[{"JD", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "K", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{"LaPDer", "[", "H", "]"}], "*", 
     RowBox[{"Secondo", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590766390827092*^9, 3.590766401161428*^9}, {
   3.5907664434406633`*^9, 3.590766444896904*^9}, {3.590766488663829*^9, 
   3.590766489368157*^9}, 3.5907671217892427`*^9, {3.5907672474494333`*^9, 
   3.590767252217124*^9}, {3.590767287720717*^9, 3.590767288824418*^9}, 
   3.590767351807333*^9, {3.5907777092370243`*^9, 3.590777709772842*^9}}],

Cell[BoxData[
 RowBox[{"JC", ":=", 
  RowBox[{
   RowBox[{"LaPDer", "[", "H", "]"}], "*", 
   RowBox[{"LaPDer", "[", "K", "]"}], "*", "ScalarPP"}]}]], "Input",
 CellChangeTimes->{{3.5907660682892523`*^9, 3.5907660715986557`*^9}, {
   3.590766104631604*^9, 3.590766126598118*^9}, {3.590766163223195*^9, 
   3.590766167214859*^9}, {3.590766708949109*^9, 3.590766711618949*^9}, {
   3.590766858289102*^9, 3.5907668612324657`*^9}, 3.590767356095051*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"FirstSum", ":=", 
   RowBox[{"Expand", "[", 
    RowBox[{"Expand", "[", 
     RowBox[{"Apply", "[", 
      RowBox[{"Plus", ",", 
       RowBox[{"Apply", "[", 
        RowBox[{"Plus", ",", " ", 
         RowBox[{"JA", "[", 
          RowBox[{"H", ",", "K"}], "]"}]}], "]"}]}], "]"}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.590766187903791*^9, 3.5907661968121977`*^9}, {
  3.590766235551263*^9, 3.590766239478039*^9}}],

Cell[BoxData[
 RowBox[{"SecondSum", ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "JB"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590766252044243*^9, 3.5907662983013363`*^9}, {
   3.590766346748391*^9, 3.590766362377737*^9}, {3.59076654645428*^9, 
   3.590766547046153*^9}, {3.5907668065791407`*^9, 3.5907668296521387`*^9}, 
   3.590767141483086*^9, {3.590767261879822*^9, 3.590767265176323*^9}, 
   3.590767362438655*^9}],

Cell[BoxData[
 RowBox[{"ThirdSum", ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "JD"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5907664119207897`*^9, 3.590766419560013*^9}, {
   3.590766561513371*^9, 3.590766566151524*^9}, 3.590767366966803*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Invar818", "=", 
   RowBox[{"Expand", "[", 
    RowBox[{"FirstSum", "+", "SecondSum", "+", "ThirdSum", "+", "JC"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.590768348444458*^9, 3.590768350266885*^9}, {
   3.5907684196974993`*^9, 3.5907684204734898`*^9}, {3.5907685810227413`*^9, 
   3.590768585510441*^9}, 3.590778310024047*^9, {3.59533580840618*^9, 
   3.595335813996079*^9}}],

Cell[BoxData[
 RowBox[{"\"\<this is the another invariant of degree 24 written as the \
circle product of the invariant of degree 8 and that of degree 18\>\"", 
  ";"}]], "Input",
 CellChangeTimes->{{3.595336880101645*^9, 3.59533693845932*^9}, 
   3.595337173462286*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"H", "=", "Invar8"}], ";"}]], "Input",
 CellChangeTimes->{{3.590766616300071*^9, 3.590766621404344*^9}, 
   3.590767452686221*^9, {3.590767535076043*^9, 3.590767539834547*^9}, 
   3.590767670426847*^9, {3.590768313195846*^9, 3.590768313603263*^9}, 
   3.5907683604584913`*^9, 3.5907785759861526`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"K", "=", "Invar24"}], ";"}]], "Input",
 CellChangeTimes->{{3.590766626903125*^9, 3.590766631132145*^9}, {
   3.590766870953289*^9, 3.590766881583393*^9}, {3.590767545762616*^9, 
   3.590767548402399*^9}, 3.5907676738347893`*^9, {3.590768317027623*^9, 
   3.590768317427267*^9}, {3.590768575759968*^9, 3.590768576493456*^9}, 
   3.590778572251792*^9, {3.590778855989127*^9, 3.590778856716498*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"JA", "[", 
   RowBox[{"H", ",", "K"}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "H", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{
      RowBox[{"LeDer", "[", "K", "]"}], "[", 
      RowBox[{"[", "j", "]"}], "]"}], "*", 
     RowBox[{"Primo", "[", 
      RowBox[{"i", ",", "j"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5907776936776876`*^9, 3.590777697213352*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LaPDer", "[", "x_", "]"}], ":=", 
  RowBox[{"D", "[", 
   RowBox[{"x", ",", "P"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765934243671*^9, 3.5907659820567913`*^9}}],

Cell[BoxData[
 RowBox[{"JB", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "H", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{"LaPDer", "[", "K", "]"}], "*", 
     RowBox[{"Secondo", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765966492208*^9, 3.590766054440311*^9}, {
   3.590766434504858*^9, 3.590766436184857*^9}, {3.5907664818241158`*^9, 
   3.5907664824879217`*^9}, {3.590766527351295*^9, 3.5907665400233107`*^9}, 
   3.590767134723637*^9, {3.590767239945505*^9, 3.59076724356922*^9}, {
   3.590767333519759*^9, 3.5907673458408823`*^9}, {3.590777702413053*^9, 
   3.590777705988854*^9}}],

Cell[BoxData[
 RowBox[{"JD", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "K", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{"LaPDer", "[", "H", "]"}], "*", 
     RowBox[{"Secondo", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590766390827092*^9, 3.590766401161428*^9}, {
   3.5907664434406633`*^9, 3.590766444896904*^9}, {3.590766488663829*^9, 
   3.590766489368157*^9}, 3.5907671217892427`*^9, {3.5907672474494333`*^9, 
   3.590767252217124*^9}, {3.590767287720717*^9, 3.590767288824418*^9}, 
   3.590767351807333*^9, {3.5907777092370243`*^9, 3.590777709772842*^9}}],

Cell[BoxData[
 RowBox[{"JC", ":=", 
  RowBox[{
   RowBox[{"LaPDer", "[", "H", "]"}], "*", 
   RowBox[{"LaPDer", "[", "K", "]"}], "*", "ScalarPP"}]}]], "Input",
 CellChangeTimes->{{3.5907660682892523`*^9, 3.5907660715986557`*^9}, {
   3.590766104631604*^9, 3.590766126598118*^9}, {3.590766163223195*^9, 
   3.590766167214859*^9}, {3.590766708949109*^9, 3.590766711618949*^9}, {
   3.590766858289102*^9, 3.5907668612324657`*^9}, 3.590767356095051*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"FirstSum", ":=", 
   RowBox[{"Expand", "[", 
    RowBox[{"Expand", "[", 
     RowBox[{"Apply", "[", 
      RowBox[{"Plus", ",", 
       RowBox[{"Apply", "[", 
        RowBox[{"Plus", ",", " ", 
         RowBox[{"JA", "[", 
          RowBox[{"H", ",", "K"}], "]"}]}], "]"}]}], "]"}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.590766187903791*^9, 3.5907661968121977`*^9}, {
  3.590766235551263*^9, 3.590766239478039*^9}}],

Cell[BoxData[
 RowBox[{"SecondSum", ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "JB"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590766252044243*^9, 3.5907662983013363`*^9}, {
   3.590766346748391*^9, 3.590766362377737*^9}, {3.59076654645428*^9, 
   3.590766547046153*^9}, {3.5907668065791407`*^9, 3.5907668296521387`*^9}, 
   3.590767141483086*^9, {3.590767261879822*^9, 3.590767265176323*^9}, 
   3.590767362438655*^9}],

Cell[BoxData[
 RowBox[{"ThirdSum", ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "JD"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5907664119207897`*^9, 3.590766419560013*^9}, {
   3.590766561513371*^9, 3.590766566151524*^9}, 3.590767366966803*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Invar30", "=", 
   RowBox[{"Expand", "[", 
    RowBox[{"FirstSum", "+", "SecondSum", "+", "ThirdSum", "+", "JC"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.590768348444458*^9, 3.590768350266885*^9}, {
   3.5907684196974993`*^9, 3.5907684204734898`*^9}, {3.5907685810227413`*^9, 
   3.590768585510441*^9}, 3.590778310024047*^9, {3.59077884589497*^9, 
   3.590778849325059*^9}}],

Cell[BoxData[
 RowBox[{"\"\<this is the invariant of degree 30\>\"", ";"}]], "Input",
 CellChangeTimes->{{3.595336927484838*^9, 3.595336927883033*^9}, 
   3.5953371782618637`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"H", "=", "Invar12"}], ";"}]], "Input",
 CellChangeTimes->{{3.592211678037813*^9, 3.5922116784919577`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"K", "=", "Invar20"}], ";"}]], "Input",
 CellChangeTimes->{{3.590766626903125*^9, 3.590766631132145*^9}, {
   3.590766870953289*^9, 3.590766881583393*^9}, {3.590767545762616*^9, 
   3.590767548402399*^9}, 3.5907676738347893`*^9, {3.590768317027623*^9, 
   3.590768317427267*^9}, {3.590768575759968*^9, 3.590768576493456*^9}, 
   3.590778572251792*^9, {3.590778855989127*^9, 3.590778856716498*^9}, {
   3.592211681868567*^9, 3.592211682491991*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"JA", "[", 
   RowBox[{"H", ",", "K"}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "H", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{
      RowBox[{"LeDer", "[", "K", "]"}], "[", 
      RowBox[{"[", "j", "]"}], "]"}], "*", 
     RowBox[{"Primo", "[", 
      RowBox[{"i", ",", "j"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5907776936776876`*^9, 3.590777697213352*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LaPDer", "[", "x_", "]"}], ":=", 
  RowBox[{"D", "[", 
   RowBox[{"x", ",", "P"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765934243671*^9, 3.5907659820567913`*^9}}],

Cell[BoxData[
 RowBox[{"JB", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "H", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{"LaPDer", "[", "K", "]"}], "*", 
     RowBox[{"Secondo", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765966492208*^9, 3.590766054440311*^9}, {
   3.590766434504858*^9, 3.590766436184857*^9}, {3.5907664818241158`*^9, 
   3.5907664824879217`*^9}, {3.590766527351295*^9, 3.5907665400233107`*^9}, 
   3.590767134723637*^9, {3.590767239945505*^9, 3.59076724356922*^9}, {
   3.590767333519759*^9, 3.5907673458408823`*^9}, {3.590777702413053*^9, 
   3.590777705988854*^9}}],

Cell[BoxData[
 RowBox[{"JD", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "K", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{"LaPDer", "[", "H", "]"}], "*", 
     RowBox[{"Secondo", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590766390827092*^9, 3.590766401161428*^9}, {
   3.5907664434406633`*^9, 3.590766444896904*^9}, {3.590766488663829*^9, 
   3.590766489368157*^9}, 3.5907671217892427`*^9, {3.5907672474494333`*^9, 
   3.590767252217124*^9}, {3.590767287720717*^9, 3.590767288824418*^9}, 
   3.590767351807333*^9, {3.5907777092370243`*^9, 3.590777709772842*^9}}],

Cell[BoxData[
 RowBox[{"JC", ":=", 
  RowBox[{
   RowBox[{"LaPDer", "[", "H", "]"}], "*", 
   RowBox[{"LaPDer", "[", "K", "]"}], "*", "ScalarPP"}]}]], "Input",
 CellChangeTimes->{{3.5907660682892523`*^9, 3.5907660715986557`*^9}, {
   3.590766104631604*^9, 3.590766126598118*^9}, {3.590766163223195*^9, 
   3.590766167214859*^9}, {3.590766708949109*^9, 3.590766711618949*^9}, {
   3.590766858289102*^9, 3.5907668612324657`*^9}, 3.590767356095051*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"FirstSum", ":=", 
   RowBox[{"Expand", "[", 
    RowBox[{"Expand", "[", 
     RowBox[{"Apply", "[", 
      RowBox[{"Plus", ",", 
       RowBox[{"Apply", "[", 
        RowBox[{"Plus", ",", " ", 
         RowBox[{"JA", "[", 
          RowBox[{"H", ",", "K"}], "]"}]}], "]"}]}], "]"}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.590766187903791*^9, 3.5907661968121977`*^9}, {
  3.590766235551263*^9, 3.590766239478039*^9}}],

Cell[BoxData[
 RowBox[{"SecondSum", ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "JB"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590766252044243*^9, 3.5907662983013363`*^9}, {
   3.590766346748391*^9, 3.590766362377737*^9}, {3.59076654645428*^9, 
   3.590766547046153*^9}, {3.5907668065791407`*^9, 3.5907668296521387`*^9}, 
   3.590767141483086*^9, {3.590767261879822*^9, 3.590767265176323*^9}, 
   3.590767362438655*^9}],

Cell[BoxData[
 RowBox[{"ThirdSum", ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "JD"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5907664119207897`*^9, 3.590766419560013*^9}, {
   3.590766561513371*^9, 3.590766566151524*^9}, 3.590767366966803*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Invar1220", "=", 
   RowBox[{"Expand", "[", 
    RowBox[{"FirstSum", "+", "SecondSum", "+", "ThirdSum", "+", "JC"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.590768348444458*^9, 3.590768350266885*^9}, {
   3.5907684196974993`*^9, 3.5907684204734898`*^9}, {3.5907685810227413`*^9, 
   3.590768585510441*^9}, 3.590778310024047*^9, {3.59077884589497*^9, 
   3.590778849325059*^9}, {3.592211689956827*^9, 3.592211691548305*^9}}],

Cell[BoxData[
 RowBox[{"\"\<this is the another invariant of degree 20 written as the \
circle product of the invariant of degree 12 and that of degree 20\>\"", 
  ";"}]], "Input",
 CellChangeTimes->{{3.595336952076725*^9, 3.595336961882596*^9}, 
   3.59533718984585*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"H", "=", "Invar14"}], ";"}]], "Input",
 CellChangeTimes->{{3.592211700476096*^9, 3.592211702203457*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"K", "=", "Invar18"}], ";"}]], "Input",
 CellChangeTimes->{{3.590766626903125*^9, 3.590766631132145*^9}, {
   3.590766870953289*^9, 3.590766881583393*^9}, {3.590767545762616*^9, 
   3.590767548402399*^9}, 3.5907676738347893`*^9, {3.590768317027623*^9, 
   3.590768317427267*^9}, {3.590768575759968*^9, 3.590768576493456*^9}, 
   3.590778572251792*^9, {3.590778855989127*^9, 3.590778856716498*^9}, {
   3.592211706604117*^9, 3.592211709699328*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"JA", "[", 
   RowBox[{"H", ",", "K"}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "H", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{
      RowBox[{"LeDer", "[", "K", "]"}], "[", 
      RowBox[{"[", "j", "]"}], "]"}], "*", 
     RowBox[{"Primo", "[", 
      RowBox[{"i", ",", "j"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5907776936776876`*^9, 3.590777697213352*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"LaPDer", "[", "x_", "]"}], ":=", 
  RowBox[{"D", "[", 
   RowBox[{"x", ",", "P"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765934243671*^9, 3.5907659820567913`*^9}}],

Cell[BoxData[
 RowBox[{"JB", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "H", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{"LaPDer", "[", "K", "]"}], "*", 
     RowBox[{"Secondo", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590765966492208*^9, 3.590766054440311*^9}, {
   3.590766434504858*^9, 3.590766436184857*^9}, {3.5907664818241158`*^9, 
   3.5907664824879217`*^9}, {3.590766527351295*^9, 3.5907665400233107`*^9}, 
   3.590767134723637*^9, {3.590767239945505*^9, 3.59076724356922*^9}, {
   3.590767333519759*^9, 3.5907673458408823`*^9}, {3.590777702413053*^9, 
   3.590777705988854*^9}}],

Cell[BoxData[
 RowBox[{"JD", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"LeDer", "[", "K", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], "*", 
     RowBox[{"LaPDer", "[", "H", "]"}], "*", 
     RowBox[{"Secondo", "[", "i", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "30"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590766390827092*^9, 3.590766401161428*^9}, {
   3.5907664434406633`*^9, 3.590766444896904*^9}, {3.590766488663829*^9, 
   3.590766489368157*^9}, 3.5907671217892427`*^9, {3.5907672474494333`*^9, 
   3.590767252217124*^9}, {3.590767287720717*^9, 3.590767288824418*^9}, 
   3.590767351807333*^9, {3.5907777092370243`*^9, 3.590777709772842*^9}}],

Cell[BoxData[
 RowBox[{"JC", ":=", 
  RowBox[{
   RowBox[{"LaPDer", "[", "H", "]"}], "*", 
   RowBox[{"LaPDer", "[", "K", "]"}], "*", "ScalarPP"}]}]], "Input",
 CellChangeTimes->{{3.5907660682892523`*^9, 3.5907660715986557`*^9}, {
   3.590766104631604*^9, 3.590766126598118*^9}, {3.590766163223195*^9, 
   3.590766167214859*^9}, {3.590766708949109*^9, 3.590766711618949*^9}, {
   3.590766858289102*^9, 3.5907668612324657`*^9}, 3.590767356095051*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"FirstSum", ":=", 
   RowBox[{"Expand", "[", 
    RowBox[{"Expand", "[", 
     RowBox[{"Apply", "[", 
      RowBox[{"Plus", ",", 
       RowBox[{"Apply", "[", 
        RowBox[{"Plus", ",", " ", 
         RowBox[{"JA", "[", 
          RowBox[{"H", ",", "K"}], "]"}]}], "]"}]}], "]"}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.590766187903791*^9, 3.5907661968121977`*^9}, {
  3.590766235551263*^9, 3.590766239478039*^9}}],

Cell[BoxData[
 RowBox[{"SecondSum", ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "JB"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.590766252044243*^9, 3.5907662983013363`*^9}, {
   3.590766346748391*^9, 3.590766362377737*^9}, {3.59076654645428*^9, 
   3.590766547046153*^9}, {3.5907668065791407`*^9, 3.5907668296521387`*^9}, 
   3.590767141483086*^9, {3.590767261879822*^9, 3.590767265176323*^9}, 
   3.590767362438655*^9}],

Cell[BoxData[
 RowBox[{"ThirdSum", ":=", 
  RowBox[{"Expand", "[", 
   RowBox[{"Apply", "[", 
    RowBox[{"Plus", ",", "JD"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.5907664119207897`*^9, 3.590766419560013*^9}, {
   3.590766561513371*^9, 3.590766566151524*^9}, 3.590767366966803*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Invar1418", "=", 
   RowBox[{"Expand", "[", 
    RowBox[{"FirstSum", "+", "SecondSum", "+", "ThirdSum", "+", "JC"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.590768348444458*^9, 3.590768350266885*^9}, {
   3.5907684196974993`*^9, 3.5907684204734898`*^9}, {3.5907685810227413`*^9, 
   3.590768585510441*^9}, 3.590778310024047*^9, {3.59077884589497*^9, 
   3.590778849325059*^9}, {3.59221171500416*^9, 3.5922117177236423`*^9}}],

Cell[BoxData[
 RowBox[{"\"\<this is the another invariant of degree30 written as the circle \
product of the invariant of degree 14 and that of degree 30\>\"", 
  ";"}]], "Input",
 CellChangeTimes->{{3.595336976452104*^9, 3.595336987569902*^9}, 
   3.5953371858933153`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"p", "[", "16", "]"}], ":=", 
  RowBox[{"8", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "8"], "40320"], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "6"], " ", 
       RowBox[{"p", "[", "4", "]"}]}], "1440"], "+", 
     RowBox[{
      FractionBox["1", "192"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "96"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"]}], "+", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "4"], "384"], "+", 
     RowBox[{
      FractionBox["1", "360"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "5"], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "36"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "24"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "36"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "36"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "96"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "16"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "32"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "12"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "+", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"p", "[", "8", "]"}], "2"], "32"], "+", 
     RowBox[{
      FractionBox["1", "30"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "10"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "15"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "12"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "12"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "7"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.59076433690553*^9, 3.590764382604536*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"p", "[", "18", "]"}], ":=", 
  RowBox[{
   RowBox[{"-", "9"}], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "9"], "45360"]}], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "7"], " ", 
       RowBox[{"p", "[", "4", "]"}]}], "1680"], "-", 
     RowBox[{
      FractionBox["1", "240"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "5"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"]}], "+", 
     RowBox[{
      FractionBox["1", "144"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"]}], "-", 
     RowBox[{
      FractionBox["1", "432"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "6"], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "48"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "48"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "144"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "54"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"]}], "+", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "3"], "162"], "+", 
     RowBox[{
      FractionBox["1", "120"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "5"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "24"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "24"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "24"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "40"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "20"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "40"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "20"], " ", 
      RowBox[{"p", "[", "8", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "18"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "18"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "14"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "14"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.590764422168007*^9, 3.5907644420351667`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"p", "[", "20", "]"}], ":=", 
  RowBox[{"10", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "10"], "100800"], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "8"], " ", 
       RowBox[{"p", "[", "4", "]"}]}], "4032"], "+", 
     RowBox[{
      FractionBox["1", "720"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "6"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "192"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "4"]}], "+", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "5"], "960"], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "7"], " ", 
       RowBox[{"p", "[", "6", "]"}]}], "1008"], "-", 
     RowBox[{
      FractionBox["1", "144"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "5"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "144"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "48"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "144"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"]}], "+", 
     RowBox[{
      FractionBox["1", "72"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "144"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "288"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "6"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "96"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "32"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "96"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "72"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "24"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "72"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "100"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "5"], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "20"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"p", "[", "10", "]"}], "2"], "50"], "-", 
     RowBox[{
      FractionBox["1", "48"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "24"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "48"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "24"], " ", 
      RowBox[{"p", "[", "8", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "42"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "14"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "21"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.590764476525407*^9, 3.590764499733511*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"p", "[", "22", "]"}], ":=", 
  RowBox[{
   RowBox[{"-", "11"}], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "11"], "332640"]}], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "9"], " ", 
       RowBox[{"p", "[", "4", "]"}]}], "15120"], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "7"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"]}], "5040"], "-", 
     RowBox[{
      FractionBox["1", "720"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "5"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"]}], "+", 
     RowBox[{
      FractionBox["1", "288"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "4"]}], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "8"], " ", 
       RowBox[{"p", "[", "6", "]"}]}], "3360"], "+", 
     RowBox[{
      FractionBox["1", "720"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "6"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "144"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "144"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "288"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "4"], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "360"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "5"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "72"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "108"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "3"]}], "+", 
     RowBox[{
      FractionBox["1", "108"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "3"]}], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "7"], " ", 
       RowBox[{"p", "[", "8", "]"}]}], "1008"], "-", 
     RowBox[{
      FractionBox["1", "48"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "144"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "48"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "36"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "360"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "6"], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "120"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "40"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "120"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "90"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "30"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "90"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "180"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "5"], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "36"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "36"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "36"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "30"], " ", 
      RowBox[{"p", "[", "10", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "168"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "28"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "56"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "21"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "28"], " ", 
      RowBox[{"p", "[", "8", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.590764655843854*^9, 3.5907646704142323`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"p", "[", "24", "]"}], ":=", 
  RowBox[{"12", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "12"], "1451520"], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "10"], " ", 
       RowBox[{"p", "[", "4", "]"}]}], "80640"], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "8"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"]}], "53760"], "+", 
     FractionBox[
      RowBox[{"11", " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "6"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "3"]}], "17280"], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "4"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "4"]}], "1536"], "-", 
     RowBox[{
      FractionBox["1", "768"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "5"]}], "+", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "6"], "4608"], "+", 
     FractionBox[
      RowBox[{"13", " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "9"], " ", 
       RowBox[{"p", "[", "6", "]"}]}], "181440"], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "7"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}]}], "5040"], "-", 
     RowBox[{
      FractionBox["1", "480"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "5"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "432"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "192"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "4"], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "864"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "6"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "288"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"]}], "+", 
     RowBox[{
      FractionBox["1", "96"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"]}], "+", 
     RowBox[{
      FractionBox["1", "864"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"]}], "+", 
     RowBox[{
      FractionBox["1", "162"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "3"]}], "-", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "4"], "648"], "-", 
     FractionBox[
      RowBox[{"17", " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "8"], " ", 
       RowBox[{"p", "[", "8", "]"}]}], "80640"], "-", 
     RowBox[{
      FractionBox["1", "960"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "6"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "128"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "192"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "768"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "4"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "360"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "5"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "144"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "48"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "384"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "8", "]"}], "2"]}], "+", 
     RowBox[{
      FractionBox["1", "64"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "8", "]"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "128"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "8", "]"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "48"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "8", "]"}], "2"]}], "+", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"p", "[", "8", "]"}], "3"], "192"], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "7"], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "1680"], "+", 
     RowBox[{
      FractionBox["1", "240"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "5"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "240"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "80"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "120"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "60"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "120"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "120"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      RowBox[{"p", "[", "8", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "40"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "60"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "864"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "6"], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "96"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "96"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "288"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "54"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "108"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "48"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "8", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "48"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "+", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"p", "[", "12", "]"}], "2"], "72"], "+", 
     RowBox[{
      FractionBox["1", "840"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "5"], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "84"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "56"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "42"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "42"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "28"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "35"], " ", 
      RowBox[{"p", "[", "10", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.5907647067033653`*^9, 3.590764719599719*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"p", "[", "26", "]"}], ":=", 
  RowBox[{
   RowBox[{"-", "13"}], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "13"], "7862400"]}], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "11"], " ", 
       RowBox[{"p", "[", "4", "]"}]}], "604800"], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "9"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"]}], "60480"], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "7"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "3"]}], "6720"], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "5"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "4"]}], "5760"], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "5"]}], "1152"], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "10"], " ", 
       RowBox[{"p", "[", "6", "]"}]}], "67200"], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "8"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}]}], "40320"], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "6"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "6", "]"}]}], "2880"], "+", 
     RowBox[{
      FractionBox["1", "576"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"], " ", 
      RowBox[{"p", "[", "6", "]"}]}], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "4"], " ", 
       RowBox[{"p", "[", "6", "]"}]}], "1152"], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "5"], " ", 
       RowBox[{"p", "[", "6", "]"}]}], "1152"], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "7"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"]}], "2520"], "+", 
     RowBox[{
      FractionBox["1", "720"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "5"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "144"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "432"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "3"]}], "-", 
     RowBox[{
      FractionBox["1", "216"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "3"]}], "+", 
     RowBox[{
      FractionBox["1", "432"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "3"]}], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "9"], " ", 
       RowBox[{"p", "[", "8", "]"}]}], "30240"], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "7"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}]}], "2016"], "-", 
     RowBox[{
      FractionBox["1", "480"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "5"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "288"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "6"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}]}], "1440"], "+", 
     RowBox[{
      FractionBox["1", "288"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "96"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "288"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "72"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "216"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "3"], " ", 
      RowBox[{"p", "[", "8", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "480"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "5"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "8", "]"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "96"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "8", "]"}], "2"]}], "+", 
     RowBox[{
      FractionBox["1", "96"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "8", "]"}], "2"]}], "+", 
     RowBox[{
      FractionBox["1", "96"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "8", "]"}], "2"]}], "-", 
     FractionBox[
      RowBox[{"11", " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "8"], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "100800"], "-", 
     RowBox[{
      FractionBox["1", "900"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "6"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "480"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "120"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "960"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "4"], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     FractionBox[
      RowBox[{"7", " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "5"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "1800"], "+", 
     RowBox[{
      FractionBox["1", "180"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "120"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "180"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "180"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "240"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      RowBox[{"p", "[", "8", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "80"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "8", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "60"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "80"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "8", "]"}], "2"], " ", 
      RowBox[{"p", "[", "10", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "150"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "10", "]"}], "2"]}], "+", 
     RowBox[{
      FractionBox["1", "50"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "10", "]"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "75"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "10", "]"}], "2"]}], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "7"], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "5040"], "+", 
     RowBox[{
      FractionBox["1", "360"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "5"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "144"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "144"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "72"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "144"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "72"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      RowBox[{"p", "[", "8", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "72"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "60"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "10", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "60"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}], " ", 
      RowBox[{"p", "[", "12", "]"}]}], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "6"], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "5040"], "-", 
     RowBox[{
      FractionBox["1", "336"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "4"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "112"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "2"], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "336"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "4", "]"}], "3"], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "126"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "3"], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "42"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "6", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "126"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "6", "]"}], "2"], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "56"], " ", 
      SuperscriptBox[
       RowBox[{"p", "[", "2", "]"}], "2"], " ", 
      RowBox[{"p", "[", "8", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "56"], " ", 
      RowBox[{"p", "[", "4", "]"}], " ", 
      RowBox[{"p", "[", "8", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "35"], " ", 
      RowBox[{"p", "[", "2", "]"}], " ", 
      RowBox[{"p", "[", "10", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "42"], " ", 
      RowBox[{"p", "[", "12", "]"}], " ", 
      RowBox[{"p", "[", "14", "]"}]}]}], ")"}]}]}]], "Input",
 CellChangeTimes->{{3.590764762795526*^9, 3.590764794367787*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"p", "[", "28", "]"}], ":=", 
   RowBox[{"14", 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "14"], "87178291200"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "12"], " ", 
        RowBox[{"p", "[", "4", "]"}]}], "958003200"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "10"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "2"]}], "29030400"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "8"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "3"]}], "1935360"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "6"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "4"]}], "276480"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "4"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "5"]}], "92160"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "6"]}], "92160"], "-", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "7"], "645120"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "11"], " ", 
        RowBox[{"p", "[", "6", "]"}]}], "119750400"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "9"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        RowBox[{"p", "[", "6", "]"}]}], "2177280"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "7"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "2"], " ", 
        RowBox[{"p", "[", "6", "]"}]}], "120960"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "3"], " ", 
        RowBox[{"p", "[", "6", "]"}]}], "17280"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "3"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "4"], " ", 
        RowBox[{"p", "[", "6", "]"}]}], "6912"], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"p", "[", "2", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "5"], " ", 
        RowBox[{"p", "[", "6", "]"}]}], "11520"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "8"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "2"]}], "725760"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "6"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "2"]}], "25920"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "4"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "2"]}], "3456"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "3"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "2"]}], "1728"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "4"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "2"]}], "6912"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "3"]}], "19440"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "3"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "3"]}], "1944"], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"p", "[", "2", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "3"]}], "1296"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "4"]}], "3888"], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"p", "[", "4", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "4"]}], "3888"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "10"], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "14515200"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "8"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "322560"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "6"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "2"], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "23040"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "4"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "3"], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "4608"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "4"], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "3072"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "5"], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "15360"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "7"], " ", 
        RowBox[{"p", "[", "6", "]"}], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "60480"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        RowBox[{"p", "[", "6", "]"}], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "2880"], "-", 
      RowBox[{
       FractionBox["1", "576"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "576"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "3"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}]}], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "4"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "2"], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "1728"], "+", 
      RowBox[{
       FractionBox["1", "288"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "8", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "576"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "8", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "648"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "3"], " ", 
       RowBox[{"p", "[", "8", "]"}]}], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "6"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "8", "]"}], "2"]}], "23040"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "4"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "8", "]"}], "2"]}], "1536"], "+", 
      RowBox[{
       FractionBox["1", "512"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "8", "]"}], "2"]}], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "3"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "8", "]"}], "2"]}], "1536"], "+", 
      RowBox[{
       FractionBox["1", "576"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "8", "]"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "192"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "8", "]"}], "2"]}], "+", 
      RowBox[{
       FractionBox["1", "576"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "8", "]"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "768"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "8", "]"}], "3"]}], "+", 
      RowBox[{
       FractionBox["1", "768"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "8", "]"}], "3"]}], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "9"], " ", 
        RowBox[{"p", "[", "10", "]"}]}], "1814400"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "7"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        RowBox[{"p", "[", "10", "]"}]}], "50400"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "2"], " ", 
        RowBox[{"p", "[", "10", "]"}]}], "4800"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "3"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "3"], " ", 
        RowBox[{"p", "[", "10", "]"}]}], "1440"], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"p", "[", "2", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "4"], " ", 
        RowBox[{"p", "[", "10", "]"}]}], "1920"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "6"], " ", 
        RowBox[{"p", "[", "6", "]"}], " ", 
        RowBox[{"p", "[", "10", "]"}]}], "10800"], "-", 
      RowBox[{
       FractionBox["1", "720"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "4"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "240"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "720"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "3"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "540"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "180"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "810"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "3"], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        RowBox[{"p", "[", "8", "]"}], " ", 
        RowBox[{"p", "[", "10", "]"}]}], "2400"], "+", 
      RowBox[{
       FractionBox["1", "240"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "160"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "120"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "120"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "160"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "8", "]"}], "2"], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "4"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "10", "]"}], "2"]}], "1200"], "-", 
      RowBox[{
       FractionBox["1", "200"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "10", "]"}], "2"]}], "+", 
      RowBox[{
       FractionBox["1", "400"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "10", "]"}], "2"]}], "+", 
      RowBox[{
       FractionBox["1", "150"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "10", "]"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "200"], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "10", "]"}], "2"]}], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "8"], " ", 
        RowBox[{"p", "[", "12", "]"}]}], "241920"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "6"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        RowBox[{"p", "[", "12", "]"}]}], "8640"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "4"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "2"], " ", 
        RowBox[{"p", "[", "12", "]"}]}], "1152"], "+", 
      RowBox[{
       FractionBox["1", "576"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "3"], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "4"], " ", 
        RowBox[{"p", "[", "12", "]"}]}], "2304"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        RowBox[{"p", "[", "6", "]"}], " ", 
        RowBox[{"p", "[", "12", "]"}]}], "2160"], "+", 
      RowBox[{
       FractionBox["1", "216"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "144"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "216"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "216"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "576"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "4"], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "96"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "192"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "72"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "192"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "8", "]"}], "2"], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "180"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "60"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "90"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "144"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "12", "]"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "144"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "12", "]"}], "2"]}], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "7"], " ", 
        RowBox[{"p", "[", "14", "]"}]}], "35280"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        RowBox[{"p", "[", "14", "]"}]}], "1680"], "+", 
      RowBox[{
       FractionBox["1", "336"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "336"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "3"], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "504"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "4"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "84"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "168"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "126"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "168"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "56"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "84"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "70"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "70"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "42"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "+", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"p", "[", "14", "]"}], "2"], "98"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "6"], " ", 
        RowBox[{"p", "[", "16", "]"}]}], "5760"], "+", 
      RowBox[{
       FractionBox["1", "384"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "4"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "128"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "384"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "3"], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "144"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "48"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "144"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "64"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "64"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "40"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "48"], " ", 
       RowBox[{"p", "[", "12", "]"}], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        RowBox[{"p", "[", "18", "]"}]}], "1080"], "-", 
      RowBox[{
       FractionBox["1", "108"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "18", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "72"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "18", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "54"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "18", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "54"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "18", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "36"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "18", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "45"], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "18", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "240"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "4"], " ", 
       RowBox[{"p", "[", "20", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "40"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "20", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "80"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "20", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "30"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "20", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "40"], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "20", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "66"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "22", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "22"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "22", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "33"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "22", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "24"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "24", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "24"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "24", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "13"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "26", "]"}]}]}], ")"}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"p", "[", "30", "]"}], ":=", 
   RowBox[{
    RowBox[{"-", "15"}], 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "15"], "1307674368000"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "13"], " ", 
        RowBox[{"p", "[", "4", "]"}]}], "12454041600"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "11"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "2"]}], "319334400"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "9"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "3"]}], "17418240"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "7"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "4"]}], "1935360"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "5"]}], "460800"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "3"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "6"]}], "276480"], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"p", "[", "2", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "7"]}], "645120"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "12"], " ", 
        RowBox[{"p", "[", "6", "]"}]}], "1437004800"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "10"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        RowBox[{"p", "[", "6", "]"}]}], "21772800"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "8"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "2"], " ", 
        RowBox[{"p", "[", "6", "]"}]}], "967680"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "6"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "3"], " ", 
        RowBox[{"p", "[", "6", "]"}]}], "103680"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "4"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "4"], " ", 
        RowBox[{"p", "[", "6", "]"}]}], "27648"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "5"], " ", 
        RowBox[{"p", "[", "6", "]"}]}], "23040"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "6"], " ", 
        RowBox[{"p", "[", "6", "]"}]}], "138240"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "9"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "2"]}], "6531840"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "7"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "2"]}], "181440"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "2"]}], "17280"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "3"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "3"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "2"]}], "5184"], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"p", "[", "2", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "4"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "2"]}], "6912"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "6"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "3"]}], "116640"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "4"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "3"]}], "7776"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "3"]}], "2592"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "3"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "3"]}], "7776"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "3"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "4"]}], "11664"], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"p", "[", "2", "]"}], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "4"]}], "3888"], "+", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "5"], "29160"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "11"], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "159667200"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "9"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "2903040"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "7"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "2"], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "161280"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "3"], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "23040"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "3"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "4"], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "9216"], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"p", "[", "2", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "5"], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "15360"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "8"], " ", 
        RowBox[{"p", "[", "6", "]"}], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "483840"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "6"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        RowBox[{"p", "[", "6", "]"}], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "17280"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "4"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "2"], " ", 
        RowBox[{"p", "[", "6", "]"}], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "2304"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "3"], " ", 
        RowBox[{"p", "[", "6", "]"}], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "1152"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "4"], " ", 
        RowBox[{"p", "[", "6", "]"}], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "4608"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "2"], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "8640"], "+", 
      RowBox[{
       FractionBox["1", "864"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "8", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "576"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "8", "]"}]}], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "3"], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "1296"], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"p", "[", "4", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "3"], " ", 
        RowBox[{"p", "[", "8", "]"}]}], "1296"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "7"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "8", "]"}], "2"]}], "161280"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "8", "]"}], "2"]}], "7680"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "3"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "8", "]"}], "2"]}], "1536"], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"p", "[", "2", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "3"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "8", "]"}], "2"]}], "1536"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "4"], " ", 
        RowBox[{"p", "[", "6", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "8", "]"}], "2"]}], "2304"], "-", 
      RowBox[{
       FractionBox["1", "384"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "8", "]"}], "2"]}], "+", 
      RowBox[{
       FractionBox["1", "768"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "8", "]"}], "2"]}], "+", 
      RowBox[{
       FractionBox["1", "576"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "8", "]"}], "2"]}], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "3"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "8", "]"}], "3"]}], "2304"], "+", 
      RowBox[{
       FractionBox["1", "768"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "8", "]"}], "3"]}], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"p", "[", "6", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "8", "]"}], "3"]}], "1152"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "10"], " ", 
        RowBox[{"p", "[", "10", "]"}]}], "18144000"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "8"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        RowBox[{"p", "[", "10", "]"}]}], "403200"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "6"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "2"], " ", 
        RowBox[{"p", "[", "10", "]"}]}], "28800"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "4"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "3"], " ", 
        RowBox[{"p", "[", "10", "]"}]}], "5760"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "2"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "4"], " ", 
        RowBox[{"p", "[", "10", "]"}]}], "3840"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "5"], " ", 
        RowBox[{"p", "[", "10", "]"}]}], "19200"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "7"], " ", 
        RowBox[{"p", "[", "6", "]"}], " ", 
        RowBox[{"p", "[", "10", "]"}]}], "75600"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        RowBox[{"p", "[", "6", "]"}], " ", 
        RowBox[{"p", "[", "10", "]"}]}], "3600"], "+", 
      RowBox[{
       FractionBox["1", "720"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "720"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "3"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "4"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "6", "]"}], "2"], " ", 
        RowBox[{"p", "[", "10", "]"}]}], "2160"], "-", 
      RowBox[{
       FractionBox["1", "360"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "720"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "810"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "3"], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "6"], " ", 
        RowBox[{"p", "[", "8", "]"}], " ", 
        RowBox[{"p", "[", "10", "]"}]}], "14400"], "+", 
      RowBox[{
       FractionBox["1", "960"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "4"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "320"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "960"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "3"], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "360"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "120"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "360"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "320"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "8", "]"}], "2"], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "320"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "8", "]"}], "2"], " ", 
       RowBox[{"p", "[", "10", "]"}]}], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "10", "]"}], "2"]}], "6000"], "-", 
      RowBox[{
       FractionBox["1", "600"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "10", "]"}], "2"]}], "+", 
      RowBox[{
       FractionBox["1", "400"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "10", "]"}], "2"]}], "+", 
      RowBox[{
       FractionBox["1", "300"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "10", "]"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "300"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "10", "]"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "200"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "10", "]"}], "2"]}], "+", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"p", "[", "10", "]"}], "3"], "750"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "9"], " ", 
        RowBox[{"p", "[", "12", "]"}]}], "2177280"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "7"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        RowBox[{"p", "[", "12", "]"}]}], "60480"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "2"], " ", 
        RowBox[{"p", "[", "12", "]"}]}], "5760"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "3"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "3"], " ", 
        RowBox[{"p", "[", "12", "]"}]}], "1728"], "-", 
      FractionBox[
       RowBox[{
        RowBox[{"p", "[", "2", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "4"], " ", 
        RowBox[{"p", "[", "12", "]"}]}], "2304"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "6"], " ", 
        RowBox[{"p", "[", "6", "]"}], " ", 
        RowBox[{"p", "[", "12", "]"}]}], "12960"], "+", 
      RowBox[{
       FractionBox["1", "864"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "4"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "288"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "864"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "3"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "648"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "216"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "972"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "3"], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        RowBox[{"p", "[", "8", "]"}], " ", 
        RowBox[{"p", "[", "12", "]"}]}], "2880"], "-", 
      RowBox[{
       FractionBox["1", "288"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "192"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "144"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "144"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "192"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "8", "]"}], "2"], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "720"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "4"], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "120"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "240"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "90"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "120"], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "432"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "12", "]"}], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "144"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "12", "]"}], "2"]}], "+", 
      RowBox[{
       FractionBox["1", "216"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "12", "]"}], "2"]}], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "8"], " ", 
        RowBox[{"p", "[", "14", "]"}]}], "282240"], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "6"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        RowBox[{"p", "[", "14", "]"}]}], "10080"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "4"], " ", 
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "2"], " ", 
        RowBox[{"p", "[", "14", "]"}]}], "1344"], "-", 
      RowBox[{
       FractionBox["1", "672"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "3"], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "4", "]"}], "4"], " ", 
        RowBox[{"p", "[", "14", "]"}]}], "2688"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        RowBox[{"p", "[", "6", "]"}], " ", 
        RowBox[{"p", "[", "14", "]"}]}], "2520"], "-", 
      RowBox[{
       FractionBox["1", "252"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "168"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "252"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "252"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "672"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "4"], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "112"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "224"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "84"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "224"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "8", "]"}], "2"], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "210"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "70"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "105"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "84"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "12", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "84"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}], " ", 
       RowBox[{"p", "[", "14", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "98"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "14", "]"}], "2"]}], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "7"], " ", 
        RowBox[{"p", "[", "16", "]"}]}], "40320"], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        RowBox[{"p", "[", "4", "]"}], " ", 
        RowBox[{"p", "[", "16", "]"}]}], "1920"], "-", 
      RowBox[{
       FractionBox["1", "384"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "384"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "3"], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "576"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "4"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "96"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "192"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "144"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "192"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "64"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "96"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "80"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "80"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "48"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "12", "]"}], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "56"], " ", 
       RowBox[{"p", "[", "14", "]"}], " ", 
       RowBox[{"p", "[", "16", "]"}]}], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "6"], " ", 
        RowBox[{"p", "[", "18", "]"}]}], "6480"], "-", 
      RowBox[{
       FractionBox["1", "432"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "4"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "18", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "144"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "18", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "432"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "3"], " ", 
       RowBox[{"p", "[", "18", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "162"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "18", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "54"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "18", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "162"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "6", "]"}], "2"], " ", 
       RowBox[{"p", "[", "18", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "72"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "18", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "72"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "18", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "45"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "18", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "54"], " ", 
       RowBox[{"p", "[", "12", "]"}], " ", 
       RowBox[{"p", "[", "18", "]"}]}], "-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"p", "[", "2", "]"}], "5"], " ", 
        RowBox[{"p", "[", "20", "]"}]}], "1200"], "+", 
      RowBox[{
       FractionBox["1", "120"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "20", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "80"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "20", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "60"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "20", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "60"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "20", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "40"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "20", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "50"], " ", 
       RowBox[{"p", "[", "10", "]"}], " ", 
       RowBox[{"p", "[", "20", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "264"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "4"], " ", 
       RowBox[{"p", "[", "22", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "44"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "22", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "88"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "4", "]"}], "2"], " ", 
       RowBox[{"p", "[", "22", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "33"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "22", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "44"], " ", 
       RowBox[{"p", "[", "8", "]"}], " ", 
       RowBox[{"p", "[", "22", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "72"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "3"], " ", 
       RowBox[{"p", "[", "24", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "24"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "24", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "36"], " ", 
       RowBox[{"p", "[", "6", "]"}], " ", 
       RowBox[{"p", "[", "24", "]"}]}], "+", 
      RowBox[{
       FractionBox["1", "26"], " ", 
       SuperscriptBox[
        RowBox[{"p", "[", "2", "]"}], "2"], " ", 
       RowBox[{"p", "[", "26", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "26"], " ", 
       RowBox[{"p", "[", "4", "]"}], " ", 
       RowBox[{"p", "[", "26", "]"}]}], "-", 
      RowBox[{
       FractionBox["1", "14"], " ", 
       RowBox[{"p", "[", "2", "]"}], " ", 
       RowBox[{"p", "[", "28", "]"}]}]}], ")"}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Invar818", "=", 
   RowBox[{"Expand", "[", "Invar818", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.590778113665413*^9, 3.5907781183882847`*^9}, {
   3.590778703631218*^9, 3.5907787106707497`*^9}, {3.592220980911056*^9, 
   3.592220981550572*^9}, {3.5922492512439938`*^9, 3.592249255923876*^9}, 
   3.5953344738089867`*^9, {3.59533583063535*^9, 3.595335843938513*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Invar1220", "=", 
   RowBox[{"Expand", "[", "Invar1220", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.592211762658637*^9, 3.59221179763304*^9}, {
   3.592221021248453*^9, 3.592221021717691*^9}, {3.5922492255005207`*^9, 
   3.5922492314843903`*^9}, 3.5953344865044518`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Invar", "[", "1418", "]"}], "=", 
   RowBox[{"Expand", "[", "Invar1418", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.592211831762185*^9, 3.59221185507985*^9}, {
   3.592220533799704*^9, 3.5922206239174967`*^9}, {3.592220709493795*^9, 
   3.592220709963735*^9}, {3.592221031646059*^9, 3.5922210319494543`*^9}, {
   3.592249205662134*^9, 3.592249216948749*^9}, 3.595334490880809*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"A2", "=", 
  RowBox[{"p", "[", "2", "]"}]}]], "Input",
 CellChangeTimes->{{3.595335076460641*^9, 3.595335081051187*^9}}],

Cell[BoxData[
 RowBox[{"p", "[", "2", "]"}]], "Output",
 CellChangeTimes->{3.595338817397601*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"A8", "=", 
   RowBox[{"Expand", "[", "Invar8", "]"}]}]}]], "Input",
 CellChangeTimes->{
  3.595334937916073*^9, {3.5953349715440903`*^9, 3.595335007260447*^9}, {
   3.595335133467804*^9, 3.5953351390659847`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "10080"}], " ", "P"}], "-", 
  RowBox[{"105", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "4", "]"}]}], "+", 
  RowBox[{"105", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"]}], "+", 
  RowBox[{"168", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"180", " ", 
   RowBox[{"p", "[", "8", "]"}]}]}]], "Output",
 CellChangeTimes->{3.5953388174421673`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"A12", "=", 
  RowBox[{"Expand", "[", "Invar12", "]"}]}]], "Input",
 CellChangeTimes->{{3.595335023993614*^9, 3.5953350390437813`*^9}, {
  3.5953360754253883`*^9, 3.595336078966792*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "3326400"}], " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"]}], "+", 
  FractionBox[
   RowBox[{"10395", " ", 
    SuperscriptBox[
     RowBox[{"p", "[", "2", "]"}], "6"]}], "2"], "+", 
  RowBox[{"1330560", " ", "P", " ", 
   RowBox[{"p", "[", "4", "]"}]}], "-", 
  RowBox[{"51975", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "4", "]"}]}], "+", 
  RowBox[{"103950", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"]}], "-", 
  RowBox[{"23100", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"]}], "+", 
  RowBox[{"110880", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"221760", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"88704", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
  RowBox[{"201960", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"166320", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"266112", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"241920", " ", 
   RowBox[{"p", "[", "12", "]"}]}]}]], "Output",
 CellChangeTimes->{3.5953388176298513`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"A14", "=", 
  RowBox[{"Expand", "[", "Invar14", "]"}]}]], "Input",
 CellChangeTimes->{{3.595335046971116*^9, 3.5953350576755037`*^9}, {
  3.5953351487731*^9, 3.5953351507314577`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"8467200", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"]}], "+", 
  RowBox[{"20160", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "7"]}], "+", 
  RowBox[{"30481920", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}]}], "-", 
  RowBox[{"423360", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   RowBox[{"p", "[", "4", "]"}]}], "+", 
  RowBox[{"2646000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"]}], "-", 
  RowBox[{"2822400", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"]}], "-", 
  RowBox[{"25159680", " ", "P", " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"1587600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"10584000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"5503680", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"6435072", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
  RowBox[{"5080320", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"15603840", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"9434880", " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"12386304", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"12579840", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"19837440", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"16588800", " ", 
   RowBox[{"p", "[", "14", "]"}]}]}]], "Output",
 CellChangeTimes->{3.5953388176800613`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"A18", "=", 
  RowBox[{"Expand", "[", "Invar18", "]"}]}]], "Input",
 CellChangeTimes->{{3.595335089853866*^9, 3.595335117866206*^9}, {
  3.595335157571125*^9, 3.5953351600432253`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"1019315404800", " ", 
   SuperscriptBox["P", "2"], " ", 
   RowBox[{"p", "[", "2", "]"}]}], "-", 
  RowBox[{"1536796800", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"]}], "+", 
  RowBox[{"6141312", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "9"]}], "+", 
  RowBox[{"34088947200", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "4", "]"}]}], "-", 
  RowBox[{"179609616", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "7"], " ", 
   RowBox[{"p", "[", "4", "]"}]}], "-", 
  RowBox[{"32747742720", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"]}], "+", 
  RowBox[{"1118577600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"]}], "-", 
  RowBox[{"1723861440", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"]}], "+", 
  RowBox[{"604316160", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "4"]}], "-", 
  RowBox[{"52690176000", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"573746544", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"19543265280", " ", "P", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"4253286240", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"4561824960", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"996105600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"2547901440", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
  RowBox[{"1776660480", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "+", 
  RowBox[{"125411328", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "3"]}], "+", 
  RowBox[{"56138987520", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"1726220160", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"6850448640", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"3499614720", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"4063530240", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"2312271360", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"144322560", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "-", 
  RowBox[{"21319925760", " ", "P", " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"4139952768", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"7188217344", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"2364526080", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"355332096", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"156764160", " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"6877301760", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"4441651200", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"418037760", " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"5981921280", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "-", 
  RowBox[{"3583180800", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}]}]], "Output",
 CellChangeTimes->{3.5953388177300587`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"A20", "=", 
  RowBox[{"Expand", "[", "Invar20", "]"}]}]], "Input",
 CellChangeTimes->{{3.5953352093012943`*^9, 3.595335219232134*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "5325801062400"}], " ", 
   SuperscriptBox["P", "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"]}], "-", 
  RowBox[{"9246182400", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"]}], "-", 
  RowBox[{"38002176", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "10"]}], "-", 
  RowBox[{"3394466611200", " ", 
   SuperscriptBox["P", "2"], " ", 
   RowBox[{"p", "[", "4", "]"}]}], "-", 
  RowBox[{"36273484800", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "4", "]"}]}], "+", 
  RowBox[{"737054208", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "8"], " ", 
   RowBox[{"p", "[", "4", "]"}]}], "-", 
  RowBox[{"404556042240", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"]}], "-", 
  RowBox[{"2589027840", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"]}], "+", 
  RowBox[{"173543731200", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"]}], "-", 
  RowBox[{"7796839680", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"]}], "+", 
  RowBox[{"14021925120", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "4"]}], "-", 
  RowBox[{"387072000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "5"]}], "-", 
  RowBox[{"149564620800", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"2807212032", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "7"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"1298285936640", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"8599893120", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"54302814720", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"41632012800", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"359140884480", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
  RowBox[{"4878558720", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
  RowBox[{"76169963520", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "+", 
  RowBox[{"23868794880", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "+", 
  RowBox[{"25283543040", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "3"]}], "+", 
  RowBox[{"693524643840", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"8775527040", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"892510617600", " ", "P", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"868734720", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"80511459840", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"2859494400", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"3669442560", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"112469575680", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"37600174080", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"1619896320", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "+", 
  RowBox[{"1567641600", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "-", 
  RowBox[{"1416311930880", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"20629292544", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"43479410688", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"69655541760", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"50080923648", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"52951449600", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"9405849600", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"5573836800", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "10", "]"}], "2"]}], "+", 
  RowBox[{"1075750502400", " ", "P", " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"32650490880", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"103290163200", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"5399654400", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"74410721280", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"696729600", " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"27152547840", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "-", 
  RowBox[{"85996339200", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"63700992000", " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}]}]], "Output",
 CellChangeTimes->{3.595338817780678*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"A24", "=", 
  RowBox[{"Expand", "[", "Invar24", "]"}]}]], "Input",
 CellChangeTimes->{{3.595335243400179*^9, 3.595335264905073*^9}, {
  3.595335973257565*^9, 3.5953359798391857`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "3289706348544000"}], " ", 
   SuperscriptBox["P", "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"]}], "+", 
  RowBox[{"332200673280", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "8"]}], "+", 
  RowBox[{"2110613760", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "12"]}], "-", 
  RowBox[{"5662672610918400", " ", 
   SuperscriptBox["P", "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "4", "]"}]}], "+", 
  RowBox[{"55478557532160", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"], " ", 
   RowBox[{"p", "[", "4", "]"}]}], "-", 
  RowBox[{"95270618880", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "10"], " ", 
   RowBox[{"p", "[", "4", "]"}]}], "+", 
  RowBox[{"772533780480000", " ", 
   SuperscriptBox["P", "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"]}], "-", 
  RowBox[{"615030042009600", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"]}], "+", 
  RowBox[{"1804673908800", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "8"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"]}], "+", 
  RowBox[{"715574045491200", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"]}], "-", 
  RowBox[{"10617797312640", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"]}], "-", 
  RowBox[{"28209188044800", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "4"]}], "+", 
  RowBox[{"18157655174400", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "4"]}], "-", 
  RowBox[{"8849794060800", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "5"]}], "+", 
  RowBox[{"6502809600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "6"]}], "+", 
  RowBox[{"5201727455232000", " ", 
   SuperscriptBox["P", "2"], " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"280122504560640", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"287330120640", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "9"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"2426009680281600", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"8982695232000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "7"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"1387185846681600", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"56864731553280", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"75004944537600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"23599407283200", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "4"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"1368833989017600", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "+", 
  RowBox[{"8613476444160", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "+", 
  RowBox[{"128193787330560", " ", "P", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
  RowBox[{"81043064524800", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "+", 
  RowBox[{"77170815590400", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
  RowBox[{"11583129600000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "+", 
  RowBox[{"33975508008960", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "3"]}], "-", 
  RowBox[{"17776080322560", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "3"]}], "+", 
  RowBox[{"277800026112", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "4"]}], "-", 
  RowBox[{"803435131699200", " ", 
   SuperscriptBox["P", "2"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"1011872939212800", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"849031424640", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "8"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"3398270754816000", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"21877757959680", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"176278162636800", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"85424317977600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"65242108108800", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"217640908800", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "4"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"1930163945472000", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"33995614464000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"182370017894400", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"99514933862400", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"86135008296960", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"25622370385920", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"16855282483200", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "+", 
  RowBox[{"25188865228800", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "-", 
  RowBox[{"78479273779200", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "+", 
  RowBox[{"1536288768000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "+", 
  RowBox[{"51136468992000", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "-", 
  RowBox[{"87787929600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "3"]}], "-", 
  RowBox[{"2560083308052480", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"2101493237760", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "7"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"2739638886727680", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"47172112404480", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"94197493555200", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"46897287413760", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"51689532948480", " ", "P", " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"66719105187840", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"124085869608960", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"38837380055040", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"17023835308032", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"76496729702400", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"100722017894400", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"22754631352320", " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"31780233805824", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "10", "]"}], "2"]}], "-", 
  RowBox[{"25844766474240", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "10", "]"}], "2"]}], "+", 
  RowBox[{"3942463950028800", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"3346845143040", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"255638450995200", " ", "P", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"72943757107200", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"67980603801600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"146313216000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"103110406963200", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"53375061196800", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"1685528248320", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"102778763673600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"3862668902400", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"51127690199040", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"2809213747200", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "12", "]"}], "2"]}], "-", 
  RowBox[{"3199293141811200", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"2809810944000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "-", 
  RowBox[{"63396023500800", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"57404945203200", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"90334376755200", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "-", 
  RowBox[{"41736889958400", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "-", 
  RowBox[{"88088916787200", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"38526359961600", " ", 
   RowBox[{"p", "[", "10", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}]}]], "Output",
 CellChangeTimes->{3.595338817827653*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"A30", "=", 
  RowBox[{"Expand", "[", "Invar30", "]"}]}]], "Input",
 CellChangeTimes->{{3.59533526828236*^9, 3.59533527630284*^9}, 
   3.595335346199256*^9, {3.595335984311727*^9, 3.59533598583908*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"2350574319244935168000", " ", 
   SuperscriptBox["P", "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"]}], "+", 
  RowBox[{"151416620974080000", " ", 
   SuperscriptBox["P", "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "7"]}], "+", 
  RowBox[{"16253375114280960", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "11"]}], "-", 
  RowBox[{"4256462462976", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "15"]}], "+", 
  RowBox[{"1449654076827500544000", " ", 
   SuperscriptBox["P", "3"], " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}]}], "+", 
  RowBox[{"48538760947826688000", " ", 
   SuperscriptBox["P", "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   RowBox[{"p", "[", "4", "]"}]}], "-", 
  RowBox[{"409745429205626880", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "9"], " ", 
   RowBox[{"p", "[", "4", "]"}]}], "+", 
  RowBox[{"53057587396608", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "13"], " ", 
   RowBox[{"p", "[", "4", "]"}]}], "+", 
  RowBox[{"192020934673406361600", " ", 
   SuperscriptBox["P", "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"]}], "+", 
  RowBox[{"1123461097464545280", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "7"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"]}], "+", 
  RowBox[{"1603559459082240", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "11"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"]}], "-", 
  RowBox[{"171953040967335936000", " ", 
   SuperscriptBox["P", "2"], " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"]}], "+", 
  RowBox[{"8171890735583232000", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"]}], "-", 
  RowBox[{"40046573005424640", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "9"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"]}], "-", 
  RowBox[{"14623025816228659200", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "4"]}], "+", 
  RowBox[{"242537768539637760", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "7"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "4"]}], "+", 
  RowBox[{"3498175350035251200", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "5"]}], "-", 
  RowBox[{"453832454831616000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "5"]}], "+", 
  RowBox[{"275398308954316800", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "6"]}], "-", 
  RowBox[{"19609555617792000", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "7"]}], "-", 
  RowBox[{"774145594959593472000", " ", 
   SuperscriptBox["P", "3"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"11788865490124800000", " ", 
   SuperscriptBox["P", "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"1453081754699366400", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "8"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"153907350663168", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "12"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"756216383771403878400", " ", 
   SuperscriptBox["P", "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"2169409149382164480", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"17811596029939200", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "10"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"223190324213081702400", " ", 
   SuperscriptBox["P", "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"50322242299133952000", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"341918118933672960", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "8"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"47936685642389913600", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"1853187494656942080", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"5860715625263923200", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "4"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"2671675869077913600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "4"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "-", 
  RowBox[{"1071231779320012800", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "5"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"38408375074406400", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "6"], " ", 
   RowBox[{"p", "[", "6", "]"}]}], "+", 
  RowBox[{"333167985991404748800", " ", 
   SuperscriptBox["P", "2"], " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
  RowBox[{"175931264870645760", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "+", 
  RowBox[{"42005720786798592", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "9"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "+", 
  RowBox[{"68456504988323020800", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
  RowBox[{"812783903510347776", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "7"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
  RowBox[{"31797360057038929920", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "+", 
  RowBox[{"4371736201850142720", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
  RowBox[{"4578860307727319040", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "+", 
  RowBox[{"1061607897318850560", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "4"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"]}], "-", 
  RowBox[{"23813612899821158400", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "3"]}], "+", 
  RowBox[{"421853093539282944", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "3"]}], "+", 
  RowBox[{"1602600258502656000", " ", "P", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "3"]}], "-", 
  RowBox[{"3626345466953072640", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "3"]}], "+", 
  RowBox[{"2320699732528988160", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "3"]}], "-", 
  RowBox[{"116988301895270400", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "3"]}], "+", 
  RowBox[{"1051912424191426560", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "4"]}], "-", 
  RowBox[{"170530511310028800", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "4"]}], "+", 
  RowBox[{"622072292179968", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "5"]}], "-", 
  RowBox[{"266323980930829516800", " ", 
   SuperscriptBox["P", "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"4416718366177689600", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "7"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"992549787609600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "11"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"792985485823495372800", " ", 
   SuperscriptBox["P", "2"], " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"6928174894930329600", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"63526533818250240", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "9"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"72561111806273126400", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"864203756391198720", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "7"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"24542129845842739200", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"2970463315457433600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"2660636818061107200", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "4"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"212276487319142400", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "5"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"350453415283576012800", " ", 
   SuperscriptBox["P", "2"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"14563994645613772800", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"297123338251653120", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "8"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"117608821093564416000", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"3662607027365314560", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"20682791266340044800", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"11371869655798579200", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"6800742061734297600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"267502287377203200", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "4"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"43943893036192235520", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"2078526263848796160", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"10334052074202071040", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"3616949029333893120", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"3024089677336412160", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "3"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "+", 
  RowBox[{"252879803095449600", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "3"], " ", 
   RowBox[{"p", "[", "8", "]"}]}], "-", 
  RowBox[{"10881627101252812800", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "+", 
  RowBox[{"522789725860577280", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "7"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "+", 
  RowBox[{"25843572558397440000", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "-", 
  RowBox[{"3555770489878118400", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "+", 
  RowBox[{"6170014682328268800", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "-", 
  RowBox[{"592289058196684800", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "-", 
  RowBox[{"13430558767133491200", " ", "P", " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "+", 
  RowBox[{"2120293906336972800", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "-", 
  RowBox[{"7269708467434291200", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "+", 
  RowBox[{"425024910006681600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "+", 
  RowBox[{"2195325136113500160", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"]}], "-", 
  RowBox[{"12706926575616000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "3"]}], "+", 
  RowBox[{"68542909179494400", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "3"]}], "-", 
  RowBox[{"51905842407014400", " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "3"]}], "+", 
  RowBox[{"745107583982056243200", " ", 
   SuperscriptBox["P", "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"10273781751042539520", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"2780011547781120", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "10"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"449102394494130585600", " ", 
   SuperscriptBox["P", "2"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"39027279613557473280", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"158668950516572160", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "8"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"66161813025781186560", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"1814349534574510080", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"12724333667942400000", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"3673021270158213120", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"2104151034607534080", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "4"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"91485440144179200", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "5"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"50159837405144678400", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"748423526246645760", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "7"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"52757249920031784960", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"7157400104950824960", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"10486623877312020480", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"3859141279057182720", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"1390601257541959680", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"3745477914395148288", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"4453865516898975744", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"347289611340349440", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"88753175443537920", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "3"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"30253105402274119680", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"2624625769772482560", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"19842173381482905600", " ", "P", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"11739006741841182720", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"9962277931061084160", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"468767879567769600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"5421421347471360000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"5935220120774246400", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"127790009674629120", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "+", 
  RowBox[{"70924259607183360", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"77854549789900800", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"], " ", 
   RowBox[{"p", "[", "10", "]"}]}], "-", 
  RowBox[{"6217954160730439680", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "10", "]"}], "2"]}], "+", 
  RowBox[{"3275537554623430656", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "10", "]"}], "2"]}], "-", 
  RowBox[{"7063076451278389248", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "10", "]"}], "2"]}], "+", 
  RowBox[{"3728834588426895360", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "10", "]"}], "2"]}], "+", 
  RowBox[{"174020228995350528", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "10", "]"}], "2"]}], "-", 
  RowBox[{"140775319299686400", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "10", "]"}], "2"]}], "-", 
  RowBox[{"7637850862387200", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "10", "]"}], "2"]}], "-", 
  RowBox[{"6472428473548800", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "10", "]"}], "3"]}], "-", 
  RowBox[{"906316359972736204800", " ", 
   SuperscriptBox["P", "2"], " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"16383679705645056000", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"4105732732784640", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "9"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"75707995855100313600", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"240869209541345280", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "7"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"25817977811946700800", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"2637658587716812800", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"3148570429872537600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"253454345832038400", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "4"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"71526184218368409600", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"1173951599878471680", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"4699792125355622400", " ", "P", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"10106485133023641600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"6219077190746112000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"193990255312896000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"5845661958442844160", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"791861171060736000", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"3236214236774400", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "3"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"33155900962032844800", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"4136584549515264000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"14220250221890764800", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"1393548805000396800", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"8340792392024064000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"424651986881740800", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"82209232414310400", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"4048504010204774400", " ", "P", " ", 
   RowBox[{"p", "[", "10", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"10309993037955072000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "10", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"11589711177575301120", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"483510633313075200", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "10", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"265207756703662080", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "-", 
  RowBox[{"1213580338790400", " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}]}], "+", 
  RowBox[{"8070167989636300800", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "12", "]"}], "2"]}], "-", 
  RowBox[{"843438335459328000", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "12", "]"}], "2"]}], "+", 
  RowBox[{"3236214236774400", " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "12", "]"}], "2"]}], "+", 
  RowBox[{"563813244330835968000", " ", 
   SuperscriptBox["P", "2"], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"13757373750863462400", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"3091024825712640", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "8"], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"60932063575513497600", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "-", 
  RowBox[{"190643750771097600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "6"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "-", 
  RowBox[{"16853934060601344000", " ", "P", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"2168350638597734400", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "-", 
  RowBox[{"2519691190625894400", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "3"], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"127860360413184000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "4"], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "-", 
  RowBox[{"56400433507624550400", " ", "P", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"954162520680038400", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "5"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "-", 
  RowBox[{"8304484852275609600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"4799141976106598400", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"4822663327886868480", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "-", 
  RowBox[{"430878809810534400", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "6", "]"}], "2"], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"22984055825891328000", " ", "P", " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "-", 
  RowBox[{"3394080984504729600", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "4"], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"11534807995829452800", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "-", 
  RowBox[{"670238268456960000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "4", "]"}], "2"], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "-", 
  RowBox[{"6860955806230118400", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "8", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"93763528556544000", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "8", "]"}], "2"], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"8471393977478676480", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "3"], " ", 
   RowBox[{"p", "[", "10", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "-", 
  RowBox[{"9085748522464051200", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"221911833378816000", " ", 
   RowBox[{"p", "[", "6", "]"}], " ", 
   RowBox[{"p", "[", "10", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "-", 
  RowBox[{"13205779471820390400", " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "2", "]"}], "2"], " ", 
   RowBox[{"p", "[", "12", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"721213458481152000", " ", 
   RowBox[{"p", "[", "4", "]"}], " ", 
   RowBox[{"p", "[", "12", "]"}], " ", 
   RowBox[{"p", "[", "14", "]"}]}], "+", 
  RowBox[{"5376078344355840000", " ", 
   RowBox[{"p", "[", "2", "]"}], " ", 
   SuperscriptBox[
    RowBox[{"p", "[", "14", "]"}], "2"]}]}]], "Output",
 CellChangeTimes->{3.595338817949066*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{
   RowBox[{"Coefficient", "[", 
    RowBox[{"A30", ",", 
     RowBox[{
      RowBox[{"p", "[", "10", "]"}], "^", "3"}]}], "]"}], "/", 
   RowBox[{"Coefficient", "[", 
    RowBox[{"Invar1220", ",", 
     RowBox[{
      RowBox[{"p", "[", "10", "]"}], "^", "3"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.59222030248028*^9, 3.592220305968424*^9}, {
   3.5922203949670763`*^9, 3.592220418810981*^9}, {3.5922204730840883`*^9, 
   3.592220501409287*^9}, {3.592220740358873*^9, 3.592220744293021*^9}, {
   3.592221049407055*^9, 3.592221058406416*^9}, {3.5922210911101837`*^9, 
   3.592221108245392*^9}, {3.592221346403104*^9, 3.5922213515608807`*^9}, {
   3.592221989142557*^9, 3.592222011346891*^9}, {3.592249285412109*^9, 
   3.592249307843766*^9}, 3.5953359031878967`*^9}],

Cell[BoxData[
 FractionBox["6", "5"]], "Output",
 CellChangeTimes->{3.595338818066777*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{
   RowBox[{"Coefficient", "[", 
    RowBox[{"A30", ",", 
     RowBox[{
      RowBox[{"p", "[", "10", "]"}], "^", "3"}]}], "]"}], "/", 
   RowBox[{"Coefficient", "[", 
    RowBox[{"Invar1418", ",", 
     RowBox[{
      RowBox[{"p", "[", "10", "]"}], "^", "3"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.592221143678143*^9, 3.592221172428154*^9}, {
   3.592221372904435*^9, 3.5922213822163486`*^9}, {3.592221442863658*^9, 
   3.592221477973527*^9}, {3.5922216105887833`*^9, 3.592221620690652*^9}, {
   3.59224931858318*^9, 3.592249329043618*^9}, {3.592249419571765*^9, 
   3.592249420401773*^9}, 3.595335908058113*^9}],

Cell[BoxData[
 FractionBox["4", "3"]], "Output",
 CellChangeTimes->{3.595338818175365*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Expand", "[", 
  RowBox[{
   RowBox[{"Coefficient", "[", 
    RowBox[{"A24", ",", 
     RowBox[{
      RowBox[{"p", "[", "10", "]"}], 
      RowBox[{"p", "[", "14", "]"}]}]}], "]"}], "/", 
   RowBox[{"Coefficient", "[", 
    RowBox[{"Invar818", ",", 
     RowBox[{
      RowBox[{"p", "[", "10", "]"}], 
      RowBox[{"p", "[", "14", "]"}]}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.592222041124043*^9, 3.592222041266083*^9}, {
   3.592249338218988*^9, 3.592249389386642*^9}, {3.595335863395224*^9, 
   3.595335865570883*^9}, 3.5953359187967854`*^9}],

Cell[BoxData[
 FractionBox["7", "9"]], "Output",
 CellChangeTimes->{3.5953388183053627`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\"\<the previous 3 lines compute the table on page 21 of the \
paper\>\"", ";"}]], "Input",
 CellChangeTimes->{{3.595337002382687*^9, 3.595337022960128*^9}, {
   3.595337089680443*^9, 3.595337094638854*^9}, 3.595337200924765*^9}]
},
WindowSize->{740, 867},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 6, \
2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 2531, 75, 271, "Input"],
Cell[3091, 97, 206, 4, 57, "Input"],
Cell[3300, 103, 306, 8, 35, "Input"],
Cell[3609, 113, 205, 4, 33, "Input"],
Cell[3817, 119, 374, 9, 35, "Input"],
Cell[4194, 130, 290, 7, 33, "Input"],
Cell[4487, 139, 216, 4, 57, "Input"],
Cell[4706, 145, 445, 12, 35, "Input"],
Cell[5154, 159, 253, 6, 35, "Input"],
Cell[5410, 167, 232, 4, 57, "Input"],
Cell[5645, 173, 786, 21, 60, "Input"],
Cell[CellGroupData[{
Cell[6456, 198, 133, 1, 33, "Input"],
Cell[6592, 201, 110, 1, 45, "Output"]
}, Open  ]],
Cell[6717, 205, 2145, 59, 283, "Input"],
Cell[8865, 266, 179, 3, 33, "Input"],
Cell[9047, 271, 406, 7, 33, "Input"],
Cell[9456, 280, 483, 8, 33, "Input"],
Cell[9942, 290, 721, 21, 80, "Input"],
Cell[10666, 313, 800, 17, 33, "Input"],
Cell[11469, 332, 775, 17, 33, "Input"],
Cell[12247, 351, 449, 8, 33, "Input"],
Cell[12699, 361, 470, 13, 57, "Input"],
Cell[13172, 376, 468, 9, 33, "Input"],
Cell[13643, 387, 292, 6, 33, "Input"],
Cell[13938, 395, 255, 4, 80, "Input"],
Cell[14196, 401, 568, 11, 33, "Input"],
Cell[14767, 414, 206, 4, 33, "Input"],
Cell[14976, 420, 332, 6, 33, "Input"],
Cell[15311, 428, 337, 6, 33, "Input"],
Cell[15651, 436, 624, 19, 57, "Input"],
Cell[16278, 457, 204, 5, 35, "Input"],
Cell[16485, 464, 752, 17, 33, "Input"],
Cell[17240, 483, 727, 16, 33, "Input"],
Cell[17970, 501, 449, 8, 33, "Input"],
Cell[18422, 511, 470, 13, 57, "Input"],
Cell[18895, 526, 468, 9, 33, "Input"],
Cell[19366, 537, 292, 6, 33, "Input"],
Cell[19661, 545, 471, 10, 33, "Input"],
Cell[20135, 557, 223, 4, 33, "Input"],
Cell[20361, 563, 150, 2, 33, "Input"],
Cell[20514, 567, 383, 7, 33, "Input"],
Cell[20900, 576, 337, 6, 33, "Input"],
Cell[21240, 584, 626, 19, 57, "Input"],
Cell[21869, 605, 204, 5, 35, "Input"],
Cell[22076, 612, 752, 17, 33, "Input"],
Cell[22831, 631, 723, 16, 33, "Input"],
Cell[23557, 649, 449, 8, 33, "Input"],
Cell[24009, 659, 470, 13, 57, "Input"],
Cell[24482, 674, 468, 9, 33, "Input"],
Cell[24953, 685, 292, 6, 33, "Input"],
Cell[25248, 693, 475, 10, 33, "Input"],
Cell[25726, 705, 176, 4, 33, "Input"],
Cell[25905, 711, 198, 4, 33, "Input"],
Cell[26106, 717, 332, 6, 33, "Input"],
Cell[26441, 725, 387, 7, 33, "Input"],
Cell[26831, 734, 624, 19, 57, "Input"],
Cell[27458, 755, 204, 5, 35, "Input"],
Cell[27665, 762, 754, 17, 33, "Input"],
Cell[28422, 781, 723, 16, 33, "Input"],
Cell[29148, 799, 449, 8, 33, "Input"],
Cell[29600, 809, 470, 13, 57, "Input"],
Cell[30073, 824, 468, 9, 33, "Input"],
Cell[30544, 835, 292, 6, 33, "Input"],
Cell[30839, 843, 468, 10, 33, "Input"],
Cell[31310, 855, 177, 4, 33, "Input"],
Cell[31490, 861, 177, 3, 33, "Input"],
Cell[31670, 866, 334, 6, 33, "Input"],
Cell[32007, 874, 385, 7, 33, "Input"],
Cell[32395, 883, 626, 19, 57, "Input"],
Cell[33024, 904, 204, 5, 35, "Input"],
Cell[33231, 911, 752, 17, 33, "Input"],
Cell[33986, 930, 725, 16, 33, "Input"],
Cell[34714, 948, 449, 8, 33, "Input"],
Cell[35166, 958, 470, 13, 57, "Input"],
Cell[35639, 973, 468, 9, 33, "Input"],
Cell[36110, 984, 292, 6, 33, "Input"],
Cell[36405, 992, 424, 9, 33, "Input"],
Cell[36832, 1003, 270, 5, 80, "Input"],
Cell[37105, 1010, 334, 6, 33, "Input"],
Cell[37442, 1018, 431, 7, 33, "Input"],
Cell[37876, 1027, 626, 19, 57, "Input"],
Cell[38505, 1048, 204, 5, 35, "Input"],
Cell[38712, 1055, 752, 17, 33, "Input"],
Cell[39467, 1074, 725, 16, 33, "Input"],
Cell[40195, 1092, 449, 8, 33, "Input"],
Cell[40647, 1102, 470, 13, 57, "Input"],
Cell[41120, 1117, 468, 9, 33, "Input"],
Cell[41591, 1128, 292, 6, 33, "Input"],
Cell[41886, 1136, 423, 9, 33, "Input"],
Cell[42312, 1147, 179, 3, 33, "Input"],
Cell[42494, 1152, 141, 3, 33, "Input"],
Cell[42638, 1157, 481, 8, 33, "Input"],
Cell[43122, 1167, 626, 19, 57, "Input"],
Cell[43751, 1188, 204, 5, 35, "Input"],
Cell[43958, 1195, 752, 17, 33, "Input"],
Cell[44713, 1214, 725, 16, 33, "Input"],
Cell[45441, 1232, 449, 8, 33, "Input"],
Cell[45893, 1242, 470, 13, 57, "Input"],
Cell[46366, 1257, 468, 9, 33, "Input"],
Cell[46837, 1268, 292, 6, 33, "Input"],
Cell[47132, 1276, 471, 9, 45, "Input"],
Cell[47606, 1287, 271, 5, 92, "Input"],
Cell[47880, 1294, 139, 3, 45, "Input"],
Cell[48022, 1299, 481, 8, 45, "Input"],
Cell[48506, 1309, 626, 19, 69, "Input"],
Cell[49135, 1330, 204, 5, 47, "Input"],
Cell[49342, 1337, 752, 17, 45, "Input"],
Cell[50097, 1356, 725, 16, 45, "Input"],
Cell[50825, 1374, 449, 8, 45, "Input"],
Cell[51277, 1384, 470, 13, 69, "Input"],
Cell[51750, 1399, 468, 9, 45, "Input"],
Cell[52221, 1410, 292, 6, 45, "Input"],
Cell[52516, 1418, 472, 9, 45, "Input"],
Cell[52991, 1429, 273, 5, 92, "Input"],
Cell[53267, 1436, 3607, 108, 433, "Input"],
Cell[56877, 1546, 3993, 120, 427, "Input"],
Cell[60873, 1668, 5376, 160, 588, "Input"],
Cell[66252, 1830, 7030, 209, 795, "Input"],
Cell[73285, 2041, 11197, 330, 1279, "Input"],
Cell[84485, 2373, 14540, 428, 1657, "Input"],
Cell[99028, 2803, 28115, 803, 3023, "Input"],
Cell[127146, 3608, 37770, 1074, 4047, "Input"],
Cell[164919, 4684, 406, 7, 45, "Input"],
Cell[165328, 4693, 310, 6, 45, "Input"],
Cell[165641, 4701, 432, 8, 45, "Input"],
Cell[CellGroupData[{
Cell[166098, 4713, 144, 3, 45, "Input"],
Cell[166245, 4718, 97, 2, 45, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[166379, 4725, 252, 6, 45, "Input"],
Cell[166634, 4733, 516, 16, 49, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[167187, 4754, 209, 4, 45, "Input"],
Cell[167399, 4760, 1554, 47, 176, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[168990, 4812, 207, 4, 45, "Input"],
Cell[169200, 4818, 2273, 66, 230, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[171510, 4889, 207, 4, 45, "Input"],
Cell[171720, 4895, 5122, 146, 503, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[176879, 5046, 158, 3, 45, "Input"],
Cell[177040, 5051, 7568, 216, 760, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[184645, 5272, 207, 4, 45, "Input"],
Cell[184855, 5278, 14975, 419, 1912, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[199867, 5702, 225, 4, 45, "Input"],
Cell[200095, 5708, 37246, 1016, 5254, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[237378, 6729, 827, 17, 69, "Input"],
Cell[238208, 6748, 90, 2, 67, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[238335, 6755, 675, 15, 69, "Input"],
Cell[239013, 6772, 90, 2, 67, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[239140, 6779, 583, 15, 69, "Input"],
Cell[239726, 6796, 92, 2, 66, "Output"]
}, Open  ]],
Cell[239833, 6801, 253, 4, 69, "Input"]
}
]
*)

(* End of internal cache information *)
